diff --git a/books/bookvol10.3.pamphlet b/books/bookvol10.3.pamphlet
index 27fff7d..e62139d 100644
--- a/books/bookvol10.3.pamphlet
+++ b/books/bookvol10.3.pamphlet
@@ -37082,6 +37082,93 @@ o )show GeneralDistributedMultivariatePolynomial
 {\bf See}\\
 \pageto{DistributedMultivariatePolynomial}{DMP}
 \pageto{HomogeneousDistributedMultivariatePolynomial}{HDMP}
+
+{\bf Exports:}\\
+\begin{tabular}{lll}
+\cross{GDMP}{0} &
+\cross{GDMP}{1} &
+\cross{GDMP}{associates?} \\
+\cross{GDMP}{binomThmExpt} &
+\cross{GDMP}{characteristic} &
+\cross{GDMP}{charthRoot} \\
+\cross{GDMP}{coefficient} &
+\cross{GDMP}{coefficients} &
+\cross{GDMP}{coerce} \\
+\cross{GDMP}{conditionP} &
+\cross{GDMP}{content} &
+\cross{GDMP}{D} \\
+\cross{GDMP}{degree} &
+\cross{GDMP}{differentiate} &
+\cross{GDMP}{discriminant} \\
+\cross{GDMP}{eval} &
+\cross{GDMP}{exquo} &
+\cross{GDMP}{factor} \\
+\cross{GDMP}{factorPolynomial} &
+\cross{GDMP}{factorSquareFreePolynomial} &
+\cross{GDMP}{gcd} \\
+\cross{GDMP}{gcdPolynomial} &
+\cross{GDMP}{ground} &
+\cross{GDMP}{ground?} \\
+\cross{GDMP}{hash} &
+\cross{GDMP}{isExpt} &
+\cross{GDMP}{isPlus} \\
+\cross{GDMP}{isTimes} &
+\cross{GDMP}{latex} &
+\cross{GDMP}{lcm} \\
+\cross{GDMP}{leadingCoefficient} &
+\cross{GDMP}{leadingMonomial} &
+\cross{GDMP}{mainVariable} \\
+\cross{GDMP}{map} &
+\cross{GDMP}{mapExponents} &
+\cross{GDMP}{max} \\
+\cross{GDMP}{min} &
+\cross{GDMP}{minimumDegree} &
+\cross{GDMP}{monicDivide} \\
+\cross{GDMP}{monomial} &
+\cross{GDMP}{monomial?} &
+\cross{GDMP}{monomials} \\
+\cross{GDMP}{multivariate} &
+\cross{GDMP}{numberOfMonomials} &
+\cross{GDMP}{one?} \\
+\cross{GDMP}{patternMatch} &
+\cross{GDMP}{pomopo!} &
+\cross{GDMP}{prime?} \\
+\cross{GDMP}{primitiveMonomials} &
+\cross{GDMP}{primitivePart} &
+\cross{GDMP}{recip} \\
+\cross{GDMP}{reducedSystem} &
+\cross{GDMP}{reductum} &
+\cross{GDMP}{reorder} \\
+\cross{GDMP}{resultant} &
+\cross{GDMP}{retract} &
+\cross{GDMP}{retractIfCan} \\
+\cross{GDMP}{sample} &
+\cross{GDMP}{solveLinearPolynomialEquation} &
+\cross{GDMP}{squareFree} \\
+\cross{GDMP}{squareFreePart} &
+\cross{GDMP}{squareFreePolynomial} &
+\cross{GDMP}{subtractIfCan} \\
+\cross{GDMP}{totalDegree} &
+\cross{GDMP}{unit?} &
+\cross{GDMP}{unitCanonical} \\
+\cross{GDMP}{unitNormal} &
+\cross{GDMP}{univariate} &
+\cross{GDMP}{variables} \\
+\cross{GDMP}{zero?} &
+\cross{GDMP}{?*?} &
+\cross{GDMP}{?**?} \\
+\cross{GDMP}{?+?} &
+\cross{GDMP}{?-?} &
+\cross{GDMP}{-?} \\
+\cross{GDMP}{?=?} &
+\cross{GDMP}{?\~{}=?} &
+\cross{GDMP}{?$<$?} \\
+\cross{GDMP}{?$<=$?} &
+\cross{GDMP}{?$>$?} &
+\cross{GDMP}{?$>=$?} \\
+\cross{GDMP}{?\^{}?} &&
+\end{tabular}
+
 <<domain GDMP GeneralDistributedMultivariatePolynomial>>=
 )abbrev domain GDMP GeneralDistributedMultivariatePolynomial
 ++ Author: Barry Trager
@@ -37345,6 +37432,33 @@ GeneralDistributedMultivariatePolynomial(vl,R,E): public == private where
 \pagepic{ps/v103generalmodulepolynomial.ps}{GMODPOL}{1.00}
 {\bf See}\\
 \pageto{ModuleMonomial}{MODMONOM}
+
+{\bf Exports:}\\
+\begin{tabular}{lllll}
+\cross{GMODPOL}{0} &
+\cross{GMODPOL}{build} &
+\cross{GMODPOL}{coerce} &
+\cross{GMODPOL}{hash} &
+\cross{GMODPOL}{latex} \\
+\cross{GMODPOL}{leadingCoefficient} &
+\cross{GMODPOL}{leadingExponent} &
+\cross{GMODPOL}{leadingIndex} &
+\cross{GMODPOL}{leadingMonomial} &
+\cross{GMODPOL}{monomial} \\
+\cross{GMODPOL}{multMonom} &
+\cross{GMODPOL}{reductum} &
+\cross{GMODPOL}{sample} &
+\cross{GMODPOL}{subtractIfCan} &
+\cross{GMODPOL}{unitVector} \\
+\cross{GMODPOL}{zero?} &
+\cross{GMODPOL}{?\~{}=?} &
+\cross{GMODPOL}{?*?} &
+\cross{GMODPOL}{?+?} &
+\cross{GMODPOL}{?-?} \\
+\cross{GMODPOL}{-?} &
+\cross{GMODPOL}{?=?} &&&
+\end{tabular}
+
 <<domain GMODPOL GeneralModulePolynomial>>=
 )abbrev domain GMODPOL GeneralModulePolynomial
 ++ Description:
@@ -37427,6 +37541,105 @@ GeneralModulePolynomial(vl, R, IS, E, ff, P): public  ==  private where
 \section{domain GCNAALG GenericNonAssociativeAlgebra}
 \pagehead{GenericNonAssociativeAlgebra}{GCNAALG}
 \pagepic{ps/v103genericnonassociativealgebra.ps}{GCNAALG}{1.00}
+
+{\bf Exports:}\\
+\begin{tabular}{ll}
+\cross{GCNAALG}{0} &
+\cross{GCNAALG}{alternative?} \\
+\cross{GCNAALG}{antiAssociative?} &
+\cross{GCNAALG}{antiCommutative?} \\
+\cross{GCNAALG}{antiCommutator} &
+\cross{GCNAALG}{apply} \\
+\cross{GCNAALG}{associative?} &
+\cross{GCNAALG}{associator} \\
+\cross{GCNAALG}{associatorDependence} &
+\cross{GCNAALG}{basis} \\
+\cross{GCNAALG}{coerce} &
+\cross{GCNAALG}{commutative?} \\
+\cross{GCNAALG}{commutator} &
+\cross{GCNAALG}{conditionsForIdempotents} \\
+\cross{GCNAALG}{convert} &
+\cross{GCNAALG}{convert} \\
+\cross{GCNAALG}{coordinates} &
+\cross{GCNAALG}{coordinates} \\
+\cross{GCNAALG}{coordinates} &
+\cross{GCNAALG}{coordinates} \\
+\cross{GCNAALG}{flexible?} &
+\cross{GCNAALG}{generic} \\
+\cross{GCNAALG}{genericLeftDiscriminant} &
+\cross{GCNAALG}{genericLeftMinimalPolynomial} \\
+\cross{GCNAALG}{genericLeftNorm} &
+\cross{GCNAALG}{genericLeftTrace} \\
+\cross{GCNAALG}{genericLeftTraceForm} &
+\cross{GCNAALG}{genericRightDiscriminant} \\
+\cross{GCNAALG}{genericRightMinimalPolynomial} &
+\cross{GCNAALG}{genericRightNorm} \\
+\cross{GCNAALG}{genericRightTrace} &
+\cross{GCNAALG}{genericRightTraceForm} \\
+\cross{GCNAALG}{hash} &
+\cross{GCNAALG}{jacobiIdentity?} \\
+\cross{GCNAALG}{jordanAdmissible?} &
+\cross{GCNAALG}{jordanAlgebra?} \\
+\cross{GCNAALG}{latex} &
+\cross{GCNAALG}{leftAlternative?} \\
+\cross{GCNAALG}{leftCharacteristicPolynomial} &
+\cross{GCNAALG}{leftDiscriminant} \\
+\cross{GCNAALG}{leftDiscriminant} &
+\cross{GCNAALG}{leftMinimalPolynomial} \\
+\cross{GCNAALG}{leftNorm} &
+\cross{GCNAALG}{leftPower} \\
+\cross{GCNAALG}{leftRankPolynomial} &
+\cross{GCNAALG}{leftRankPolynomial} \\
+\cross{GCNAALG}{leftRecip} &
+\cross{GCNAALG}{leftRegularRepresentation} \\
+\cross{GCNAALG}{leftRegularRepresentation} &
+\cross{GCNAALG}{leftTrace} \\
+\cross{GCNAALG}{leftTraceMatrix} &
+\cross{GCNAALG}{leftTraceMatrix} \\
+\cross{GCNAALG}{leftUnit} &
+\cross{GCNAALG}{leftUnits} \\
+\cross{GCNAALG}{lieAdmissible?} &
+\cross{GCNAALG}{lieAlgebra?} \\
+\cross{GCNAALG}{noncommutativeJordanAlgebra?} &
+\cross{GCNAALG}{plenaryPower} \\
+\cross{GCNAALG}{powerAssociative?} &
+\cross{GCNAALG}{rank} \\
+\cross{GCNAALG}{recip} &
+\cross{GCNAALG}{represents} \\
+\cross{GCNAALG}{rightAlternative?} &
+\cross{GCNAALG}{rightCharacteristicPolynomial} \\
+\cross{GCNAALG}{rightDiscriminant} &
+\cross{GCNAALG}{rightDiscriminant} \\
+\cross{GCNAALG}{rightMinimalPolynomial} &
+\cross{GCNAALG}{rightNorm} \\
+\cross{GCNAALG}{rightPower} &
+\cross{GCNAALG}{rightRankPolynomial} \\
+\cross{GCNAALG}{rightRankPolynomial} &
+\cross{GCNAALG}{rightRecip} \\
+\cross{GCNAALG}{rightRegularRepresentation} &
+\cross{GCNAALG}{rightRegularRepresentation} \\
+\cross{GCNAALG}{rightTrace} &
+\cross{GCNAALG}{rightTraceMatrix} \\
+\cross{GCNAALG}{rightTraceMatrix} &
+\cross{GCNAALG}{rightUnit} \\
+\cross{GCNAALG}{rightUnits} &
+\cross{GCNAALG}{sample} \\
+\cross{GCNAALG}{someBasis} &
+\cross{GCNAALG}{structuralConstants} \\
+\cross{GCNAALG}{structuralConstants} &
+\cross{GCNAALG}{subtractIfCan} \\
+\cross{GCNAALG}{unit} &
+\cross{GCNAALG}{zero?} \\
+\cross{GCNAALG}{?*?} &
+\cross{GCNAALG}{?**?} \\
+\cross{GCNAALG}{?+?} &
+\cross{GCNAALG}{?-?} \\
+\cross{GCNAALG}{-?} &
+\cross{GCNAALG}{?=?} \\
+\cross{GCNAALG}{?.?} &
+\cross{GCNAALG}{?\~{}=?}
+\end{tabular}
+
 <<domain GCNAALG GenericNonAssociativeAlgebra>>=
 )abbrev domain GCNAALG GenericNonAssociativeAlgebra
 ++ Authors: J. Grabmeier, R. Wisbauer
@@ -37731,6 +37944,61 @@ GenericNonAssociativeAlgebra(R : CommutativeRing, n : PositiveInteger,_
 \section{domain GPOLSET GeneralPolynomialSet}
 \pagehead{GeneralPolynomialSet}{GPOLSET}
 \pagepic{ps/v103generalpolynomialset.ps}{GPOLSET}{1.00}
+
+{\bf Exports:}\\
+\begin{tabular}{ll}
+\cross{GPOLSET}{any?} &
+\cross{GPOLSET}{coerce} \\
+\cross{GPOLSET}{collect} &
+\cross{GPOLSET}{collectUnder} \\
+\cross{GPOLSET}{collectUpper} &
+\cross{GPOLSET}{construct} \\
+\cross{GPOLSET}{convert} &
+\cross{GPOLSET}{copy} \\
+\cross{GPOLSET}{count} &
+\cross{GPOLSET}{empty} \\
+\cross{GPOLSET}{empty?} &
+\cross{GPOLSET}{eq?} \\
+\cross{GPOLSET}{eval} &
+\cross{GPOLSET}{every?} \\
+\cross{GPOLSET}{find} &
+\cross{GPOLSET}{hash} \\
+\cross{GPOLSET}{headRemainder} &
+\cross{GPOLSET}{latex} \\
+\cross{GPOLSET}{less?} &
+\cross{GPOLSET}{mainVariables} \\
+\cross{GPOLSET}{mainVariable?} &
+\cross{GPOLSET}{map} \\
+\cross{GPOLSET}{map!} &
+\cross{GPOLSET}{member?} \\
+\cross{GPOLSET}{members} &
+\cross{GPOLSET}{more?} \\
+\cross{GPOLSET}{mvar} &
+\cross{GPOLSET}{parts} \\
+\cross{GPOLSET}{reduce} &
+\cross{GPOLSET}{remainder} \\
+\cross{GPOLSET}{remove} &
+\cross{GPOLSET}{removeDuplicates} \\
+\cross{GPOLSET}{retract} &
+\cross{GPOLSET}{retractIfCan} \\
+\cross{GPOLSET}{rewriteIdealWithHeadRemainder} &
+\cross{GPOLSET}{rewriteIdealWithRemainder} \\
+\cross{GPOLSET}{roughBase?} &
+\cross{GPOLSET}{roughEqualIdeals?} \\
+\cross{GPOLSET}{roughSubIdeal?} &
+\cross{GPOLSET}{roughUnitIdeal?} \\
+\cross{GPOLSET}{sample} &
+\cross{GPOLSET}{select} \\
+\cross{GPOLSET}{size?} &
+\cross{GPOLSET}{sort} \\
+\cross{GPOLSET}{triangular?} &
+\cross{GPOLSET}{trivialIdeal?} \\
+\cross{GPOLSET}{variables} &
+\cross{GPOLSET}{\#{}?} \\
+\cross{GPOLSET}{?=?} &
+\cross{GPOLSET}{?\~{}=?} 
+\end{tabular}
+
 <<domain GPOLSET GeneralPolynomialSet>>=
 )abbrev domain GPOLSET GeneralPolynomialSet
 ++ Author: Marc Moreno Maza
@@ -37910,6 +38178,66 @@ o )show GeneralSparseTable
 \pageto{EqTable}{EQTBL}
 \pageto{StringTable}{STRTBL}
 \pageto{SparseTable}{STBL}
+
+{\bf Exports:}\\
+\begin{tabular}{lllll}
+\cross{GSTBL}{any?} &
+\cross{GSTBL}{bag} &
+\cross{GSTBL}{coerce} &
+\cross{GSTBL}{construct} &
+\cross{GSTBL}{convert} \\
+\cross{GSTBL}{copy} &
+\cross{GSTBL}{count} &
+\cross{GSTBL}{dictionary} &
+\cross{GSTBL}{elt} &
+\cross{GSTBL}{empty} \\
+\cross{GSTBL}{empty?} &
+\cross{GSTBL}{entries} &
+\cross{GSTBL}{entry?} &
+\cross{GSTBL}{eq?} &
+\cross{GSTBL}{eval} \\
+\cross{GSTBL}{every?} &
+\cross{GSTBL}{extract!} &
+\cross{GSTBL}{fill!} &
+\cross{GSTBL}{find} &
+\cross{GSTBL}{first} \\
+\cross{GSTBL}{hash} &
+\cross{GSTBL}{index?} &
+\cross{GSTBL}{indices} &
+\cross{GSTBL}{insert!} &
+\cross{GSTBL}{inspect} \\
+\cross{GSTBL}{key?} &
+\cross{GSTBL}{keys} &
+\cross{GSTBL}{latex} &
+\cross{GSTBL}{less?} &
+\cross{GSTBL}{map} \\
+\cross{GSTBL}{map!} &
+\cross{GSTBL}{maxIndex} &
+\cross{GSTBL}{member?} &
+\cross{GSTBL}{members} &
+\cross{GSTBL}{minIndex} \\
+\cross{GSTBL}{more?} &
+\cross{GSTBL}{parts} &
+\cross{GSTBL}{qelt} &
+\cross{GSTBL}{qsetelt!} &
+\cross{GSTBL}{reduce} \\
+\cross{GSTBL}{remove} &
+\cross{GSTBL}{remove!} &
+\cross{GSTBL}{removeDuplicates} &
+\cross{GSTBL}{sample} &
+\cross{GSTBL}{search} \\
+\cross{GSTBL}{select} &
+\cross{GSTBL}{select!} &
+\cross{GSTBL}{setelt} &
+\cross{GSTBL}{size?} &
+\cross{GSTBL}{swap!} \\
+\cross{GSTBL}{table} &
+\cross{GSTBL}{\#{}?} &
+\cross{GSTBL}{?=?} &
+\cross{GSTBL}{?\~{}=?} &
+\cross{GSTBL}{?.?} 
+\end{tabular}
+
 <<domain GSTBL GeneralSparseTable>>=
 )abbrev domain GSTBL GeneralSparseTable
 ++ Author: Stephen M. Watt
@@ -37959,6 +38287,91 @@ GeneralSparseTable(Key, Entry, Tbl, dent): TableAggregate(Key, Entry) == Impl
 \pagepic{ps/v103generaltriangularset.ps}{GTSET}{1.00}
 {\bf See}\\
 \pageto{WuWenTsunTriangularSet}{WUTSET}
+
+{\bf Exports:}\\
+\begin{tabular}{ll}
+\cross{GTSET}{algebraic?} &
+\cross{GTSET}{algebraicVariables} \\
+\cross{GTSET}{any?} &
+\cross{GTSET}{autoReduced?} \\
+\cross{GTSET}{basicSet} &
+\cross{GTSET}{coerce} \\
+\cross{GTSET}{collect} &
+\cross{GTSET}{collectQuasiMonic} \\
+\cross{GTSET}{collectUnder} &
+\cross{GTSET}{collectUpper} \\
+\cross{GTSET}{coHeight} &
+\cross{GTSET}{construct} \\
+\cross{GTSET}{convert} &
+\cross{GTSET}{copy} \\
+\cross{GTSET}{count} &
+\cross{GTSET}{degree} \\
+\cross{GTSET}{empty} &
+\cross{GTSET}{empty?} \\
+\cross{GTSET}{eq?} &
+\cross{GTSET}{eval} \\
+\cross{GTSET}{every?} &
+\cross{GTSET}{extend} \\
+\cross{GTSET}{extendIfCan} &
+\cross{GTSET}{find} \\
+\cross{GTSET}{first} &
+\cross{GTSET}{hash} \\
+\cross{GTSET}{headReduce} &
+\cross{GTSET}{headReduced?} \\
+\cross{GTSET}{headReduced?} &
+\cross{GTSET}{headRemainder} \\
+\cross{GTSET}{infRittWu?} &
+\cross{GTSET}{initiallyReduce} \\
+\cross{GTSET}{initiallyReduced?} &
+\cross{GTSET}{initials} \\
+\cross{GTSET}{last} &
+\cross{GTSET}{latex} \\
+\cross{GTSET}{less?} &
+\cross{GTSET}{mainVariable?} \\
+\cross{GTSET}{mainVariables} &
+\cross{GTSET}{map} \\
+\cross{GTSET}{map!} &
+\cross{GTSET}{member?} \\
+\cross{GTSET}{members} &
+\cross{GTSET}{more?} \\
+\cross{GTSET}{mvar} &
+\cross{GTSET}{normalized?} \\
+\cross{GTSET}{normalized?} &
+\cross{GTSET}{parts} \\
+\cross{GTSET}{quasiComponent} &
+\cross{GTSET}{reduce} \\
+\cross{GTSET}{reduceByQuasiMonic} &
+\cross{GTSET}{reduced?} \\
+\cross{GTSET}{remainder} &
+\cross{GTSET}{remove} \\
+\cross{GTSET}{removeDuplicates} &
+\cross{GTSET}{removeZero} \\
+\cross{GTSET}{rest} &
+\cross{GTSET}{retract} \\
+\cross{GTSET}{retractIfCan} &
+\cross{GTSET}{rewriteIdealWithHeadRemainder} \\
+\cross{GTSET}{rewriteIdealWithRemainder} &
+\cross{GTSET}{rewriteSetWithReduction} \\
+\cross{GTSET}{roughBase?} &
+\cross{GTSET}{roughEqualIdeals?} \\
+\cross{GTSET}{roughSubIdeal?} &
+\cross{GTSET}{roughUnitIdeal?} \\
+\cross{GTSET}{sample} &
+\cross{GTSET}{select} \\
+\cross{GTSET}{size?} &
+\cross{GTSET}{sort} \\
+\cross{GTSET}{stronglyReduce} &
+\cross{GTSET}{stronglyReduced?} \\
+\cross{GTSET}{triangular?} &
+\cross{GTSET}{trivialIdeal?} \\
+\cross{GTSET}{variables} &
+\cross{GTSET}{zeroSetSplit} \\
+\cross{GTSET}{zeroSetSplitIntoTriangularSystems} &
+\cross{GTSET}{\#{}?} \\
+\cross{GTSET}{?=?} &
+\cross{GTSET}{?\~{}=?} 
+\end{tabular}
+
 <<domain GTSET GeneralTriangularSet>>=
 )abbrev domain GTSET GeneralTriangularSet
 ++ Author: Marc Moreno Maza (marc@nag.co.uk)
@@ -38078,6 +38491,108 @@ GeneralTriangularSet(R,E,V,P) : Exports == Implementation where
 \section{domain GSERIES GeneralUnivariatePowerSeries}
 \pagehead{GeneralUnivariatePowerSeries}{GSERIES}
 \pagepic{ps/v103generalunivariatepowerseries.ps}{GSERIES}{1.00}
+
+{\bf Exports:}\\
+\begin{tabular}{llll}
+\cross{GSERIES}{0} &
+\cross{GSERIES}{1} &
+\cross{GSERIES}{acos} &
+\cross{GSERIES}{acosh} \\
+\cross{GSERIES}{acot} &
+\cross{GSERIES}{acoth} &
+\cross{GSERIES}{acsc} &
+\cross{GSERIES}{acsch} \\
+\cross{GSERIES}{approximate} &
+\cross{GSERIES}{asec} &
+\cross{GSERIES}{asech} &
+\cross{GSERIES}{asin} \\
+\cross{GSERIES}{asinh} &
+\cross{GSERIES}{associates?} &
+\cross{GSERIES}{atan} &
+\cross{GSERIES}{atanh} \\
+\cross{GSERIES}{center} &
+\cross{GSERIES}{characteristic} &
+\cross{GSERIES}{charthRoot} &
+\cross{GSERIES}{coefficient} \\
+\cross{GSERIES}{coerce} &
+\cross{GSERIES}{complete} &
+\cross{GSERIES}{cos} &
+\cross{GSERIES}{cosh} \\
+\cross{GSERIES}{cot} &
+\cross{GSERIES}{coth} &
+\cross{GSERIES}{csc} &
+\cross{GSERIES}{csch} \\
+\cross{GSERIES}{D} &
+\cross{GSERIES}{degree} &
+\cross{GSERIES}{differentiate} &
+\cross{GSERIES}{divide} \\
+\cross{GSERIES}{euclideanSize} &
+\cross{GSERIES}{eval} &
+\cross{GSERIES}{exp} &
+\cross{GSERIES}{expressIdealMember} \\
+\cross{GSERIES}{exquo} &
+\cross{GSERIES}{extend} &
+\cross{GSERIES}{extendedEuclidean} &
+\cross{GSERIES}{factor} \\
+\cross{GSERIES}{gcd} &
+\cross{GSERIES}{gcdPolynomial} &
+\cross{GSERIES}{hash} &
+\cross{GSERIES}{integrate} \\
+\cross{GSERIES}{inv} &
+\cross{GSERIES}{latex} &
+\cross{GSERIES}{lcm} &
+\cross{GSERIES}{leadingCoefficient} \\
+\cross{GSERIES}{leadingMonomial} &
+\cross{GSERIES}{log} &
+\cross{GSERIES}{map} &
+\cross{GSERIES}{monomial} \\
+\cross{GSERIES}{monomial?} &
+\cross{GSERIES}{multiEuclidean} &
+\cross{GSERIES}{multiplyExponents} &
+\cross{GSERIES}{nthRoot} \\
+\cross{GSERIES}{one?} &
+\cross{GSERIES}{order} &
+\cross{GSERIES}{pi} &
+\cross{GSERIES}{pole?} \\
+\cross{GSERIES}{prime?} &
+\cross{GSERIES}{principalIdeal} &
+\cross{GSERIES}{recip} &
+\cross{GSERIES}{reductum} \\
+\cross{GSERIES}{sample} &
+\cross{GSERIES}{sec} &
+\cross{GSERIES}{sech} &
+\cross{GSERIES}{series} \\
+\cross{GSERIES}{sin} &
+\cross{GSERIES}{sinh} &
+\cross{GSERIES}{sizeLess?} &
+\cross{GSERIES}{sqrt} \\
+\cross{GSERIES}{squareFree} &
+\cross{GSERIES}{squareFreePart} &
+\cross{GSERIES}{subtractIfCan} &
+\cross{GSERIES}{tan} \\
+\cross{GSERIES}{tanh} &
+\cross{GSERIES}{terms} &
+\cross{GSERIES}{truncate} &
+\cross{GSERIES}{unit?} \\
+\cross{GSERIES}{unitCanonical} &
+\cross{GSERIES}{unitNormal} &
+\cross{GSERIES}{variable} &
+\cross{GSERIES}{variables} \\
+\cross{GSERIES}{zero?} &
+\cross{GSERIES}{?+?} &
+\cross{GSERIES}{?-?} &
+\cross{GSERIES}{-?} \\
+\cross{GSERIES}{?=?} &
+\cross{GSERIES}{?\^{}?} &
+\cross{GSERIES}{?\~{}=?} &
+\cross{GSERIES}{?*?} \\
+\cross{GSERIES}{?**?} &
+\cross{GSERIES}{?/?} &
+\cross{GSERIES}{?.?} \\
+\cross{GSERIES}{?quo?} &
+\cross{GSERIES}{?rem?} &&
+\end{tabular}
+
 <<domain GSERIES GeneralUnivariatePowerSeries>>=
 )abbrev domain GSERIES GeneralUnivariatePowerSeries
 ++ Author: Clifton J. Williamson
@@ -38198,6 +38713,27 @@ GeneralUnivariatePowerSeries(Coef,var,cen): Exports == Implementation where
 \section{domain GRIMAGE GraphImage}
 \pagehead{GraphImage}{GRIMAGE}
 \pagepic{ps/v103graphimage.ps}{GRIMAGE}{1.00}
+
+{\bf Exports:}\\
+\begin{tabular}{lllll}
+\cross{GRIMAGE}{appendPoint} &
+\cross{GRIMAGE}{coerce} &
+\cross{GRIMAGE}{component} &
+\cross{GRIMAGE}{figureUnits} &
+\cross{GRIMAGE}{graphImage} \\
+\cross{GRIMAGE}{hash} &
+\cross{GRIMAGE}{key} &
+\cross{GRIMAGE}{latex} &
+\cross{GRIMAGE}{makeGraphImage} &
+\cross{GRIMAGE}{point} \\
+\cross{GRIMAGE}{pointLists} &
+\cross{GRIMAGE}{putColorInfo} &
+\cross{GRIMAGE}{ranges} &
+\cross{GRIMAGE}{units} &
+\cross{GRIMAGE}{?\~{}=?} \\
+\cross{GRIMAGE}{?=?} &&&&
+\end{tabular}
+
 <<domain GRIMAGE GraphImage>>=
 )abbrev domain GRIMAGE GraphImage
 ++ Author: Jim Wen
@@ -38614,6 +39150,33 @@ GraphImage (): Exports == Implementation where
 \section{domain GOPT GuessOption}
 \pagehead{GuessOption}{GOPT}
 \pagepic{ps/v103guessoption.ps}{GOPT}{1.00}
+
+{\bf Exports:}\\
+\begin{tabular}{lllll}
+\cross{GOPT}{allDegrees} &
+\cross{GOPT}{checkOptions} &
+\cross{GOPT}{coerce} &
+\cross{GOPT}{debug} &
+\cross{GOPT}{displayAsGF} \\
+\cross{GOPT}{functionName} &
+\cross{GOPT}{hash} &
+\cross{GOPT}{homogeneous} &
+\cross{GOPT}{indexName} &
+\cross{GOPT}{latex} \\
+\cross{GOPT}{maxDegree} &
+\cross{GOPT}{maxDerivative} &
+\cross{GOPT}{maxLevel} &
+\cross{GOPT}{maxPower} &
+\cross{GOPT}{maxShift} \\
+\cross{GOPT}{one} &
+\cross{GOPT}{option} &
+\cross{GOPT}{option?} &
+\cross{GOPT}{safety} &
+\cross{GOPT}{variableName} \\
+\cross{GOPT}{?\~{}=?} &
+\cross{GOPT}{?=?} &&&
+\end{tabular}
+
 <<domain GOPT GuessOption>>=
 )abbrev domain GOPT GuessOption
 ++ Author: Martin Rubey
@@ -38774,6 +39337,66 @@ GuessOption(): Exports == Implementation where
 \pageto{StringTable}{STRTBL}
 \pageto{GeneralSparseTable}{GSTBL}
 \pageto{SparseTable}{STBL}
+
+{\bf Exports:}\\
+\begin{tabular}{lllll}
+\cross{HASHTBL}{any?} &
+\cross{HASHTBL}{bag} &
+\cross{HASHTBL}{coerce} &
+\cross{HASHTBL}{construct} &
+\cross{HASHTBL}{convert} \\
+\cross{HASHTBL}{copy} &
+\cross{HASHTBL}{count} &
+\cross{HASHTBL}{dictionary} &
+\cross{HASHTBL}{entry?} &
+\cross{HASHTBL}{elt} \\
+\cross{HASHTBL}{empty} &
+\cross{HASHTBL}{empty?} &
+\cross{HASHTBL}{entries} &
+\cross{HASHTBL}{eq?} &
+\cross{HASHTBL}{eval} \\
+\cross{HASHTBL}{every?} &
+\cross{HASHTBL}{extract!} &
+\cross{HASHTBL}{fill!} &
+\cross{HASHTBL}{find} &
+\cross{HASHTBL}{first} \\
+\cross{HASHTBL}{hash} &
+\cross{HASHTBL}{index?} &
+\cross{HASHTBL}{indices} &
+\cross{HASHTBL}{insert!} &
+\cross{HASHTBL}{inspect} \\
+\cross{HASHTBL}{key?} &
+\cross{HASHTBL}{keys} &
+\cross{HASHTBL}{latex} &
+\cross{HASHTBL}{less?} &
+\cross{HASHTBL}{map} \\
+\cross{HASHTBL}{map!} &
+\cross{HASHTBL}{maxIndex} &
+\cross{HASHTBL}{member?} &
+\cross{HASHTBL}{members} &
+\cross{HASHTBL}{minIndex} \\
+\cross{HASHTBL}{more?} &
+\cross{HASHTBL}{parts} &
+\cross{HASHTBL}{qelt} &
+\cross{HASHTBL}{qsetelt!} &
+\cross{HASHTBL}{reduce} \\
+\cross{HASHTBL}{remove} &
+\cross{HASHTBL}{remove!} &
+\cross{HASHTBL}{removeDuplicates} &
+\cross{HASHTBL}{sample} &
+\cross{HASHTBL}{search} \\
+\cross{HASHTBL}{select} &
+\cross{HASHTBL}{select!} &
+\cross{HASHTBL}{setelt} &
+\cross{HASHTBL}{size?} &
+\cross{HASHTBL}{swap!} \\
+\cross{HASHTBL}{table} &
+\cross{HASHTBL}{\#{}?} &
+\cross{HASHTBL}{?=?} &
+\cross{HASHTBL}{?\~{}=?} &
+\cross{HASHTBL}{?.?} 
+\end{tabular}
+
 <<domain HASHTBL HashTable>>=
 )abbrev domain HASHTBL HashTable
 ++ Author: Stephen M. Watt
@@ -38974,6 +39597,42 @@ o )show Heap
 \pageto{ArrayStack}{ASTACK}
 \pageto{Queue}{QUEUE}
 \pageto{Dequeue}{DEQUEUE}
+
+{\bf Exports:}\\
+\begin{tabular}{lllll}
+\cross{HEAP}{any?} &
+\cross{HEAP}{bag} &
+\cross{HEAP}{coerce} &
+\cross{HEAP}{copy} &
+\cross{HEAP}{count} \\
+\cross{HEAP}{empty} &
+\cross{HEAP}{empty?} &
+\cross{HEAP}{eq?} &
+\cross{HEAP}{eval} &
+\cross{HEAP}{every?} \\
+\cross{HEAP}{extract!} &
+\cross{HEAP}{hash} &
+\cross{HEAP}{heap} &
+\cross{HEAP}{insert!} &
+\cross{HEAP}{inspect} \\
+\cross{HEAP}{latex} &
+\cross{HEAP}{less?} &
+\cross{HEAP}{map} &
+\cross{HEAP}{map!} &
+\cross{HEAP}{max} \\
+\cross{HEAP}{member?} &
+\cross{HEAP}{members} &
+\cross{HEAP}{merge} &
+\cross{HEAP}{merge!} &
+\cross{HEAP}{more?} \\
+\cross{HEAP}{parts} &
+\cross{HEAP}{sample} &
+\cross{HEAP}{size?} &
+\cross{HEAP}{\#{}?} &
+\cross{HEAP}{?=?} \\
+\cross{HEAP}{?\~{}=?} &&&&
+\end{tabular}
+
 <<domain HEAP Heap>>=
 )abbrev domain HEAP Heap
 ++ Author: Michael Monagan and Stephen Watt
@@ -39210,6 +39869,91 @@ o )show HexadecimalExpansion
 \pageto{RadixExpansion}{RADIX}
 \pageto{BinaryExpansion}{BINARY}
 \pageto{DecimalExpansion}{DECIMAL}
+
+{\bf Exports:}\\
+\begin{tabular}{ll}
+\cross{HEXADEC}{0} &
+\cross{HEXADEC}{1} \\
+\cross{HEXADEC}{abs} &
+\cross{HEXADEC}{associates?} \\
+\cross{HEXADEC}{ceiling} &
+\cross{HEXADEC}{characteristic} \\
+\cross{HEXADEC}{charthRoot} &
+\cross{HEXADEC}{coerce} \\
+\cross{HEXADEC}{conditionP} &
+\cross{HEXADEC}{convert} \\
+\cross{HEXADEC}{D} &
+\cross{HEXADEC}{denom} \\
+\cross{HEXADEC}{denominator} &
+\cross{HEXADEC}{differentiate} \\
+\cross{HEXADEC}{divide} &
+\cross{HEXADEC}{euclideanSize} \\
+\cross{HEXADEC}{eval} &
+\cross{HEXADEC}{expressIdealMember} \\
+\cross{HEXADEC}{exquo} &
+\cross{HEXADEC}{extendedEuclidean} \\
+\cross{HEXADEC}{factor} &
+\cross{HEXADEC}{factorPolynomial} \\
+\cross{HEXADEC}{factorSquareFreePolynomial} &
+\cross{HEXADEC}{floor} \\
+\cross{HEXADEC}{fractionPart} &
+\cross{HEXADEC}{gcd} \\
+\cross{HEXADEC}{gcdPolynomial} &
+\cross{HEXADEC}{hash} \\
+\cross{HEXADEC}{hex} &
+\cross{HEXADEC}{init} \\
+\cross{HEXADEC}{inv} &
+\cross{HEXADEC}{latex} \\
+\cross{HEXADEC}{lcm} &
+\cross{HEXADEC}{map} \\
+\cross{HEXADEC}{max} &
+\cross{HEXADEC}{min} \\
+\cross{HEXADEC}{multiEuclidean} &
+\cross{HEXADEC}{negative?} \\
+\cross{HEXADEC}{nextItem} &
+\cross{HEXADEC}{numer} \\
+\cross{HEXADEC}{numerator} &
+\cross{HEXADEC}{one?} \\
+\cross{HEXADEC}{patternMatch} &
+\cross{HEXADEC}{positive?} \\
+\cross{HEXADEC}{prime?} &
+\cross{HEXADEC}{principalIdeal} \\
+\cross{HEXADEC}{random} &
+\cross{HEXADEC}{recip} \\
+\cross{HEXADEC}{reducedSystem} &
+\cross{HEXADEC}{retract} \\
+\cross{HEXADEC}{retractIfCan} &
+\cross{HEXADEC}{sample} \\
+\cross{HEXADEC}{sign} &
+\cross{HEXADEC}{sizeLess?} \\
+\cross{HEXADEC}{solveLinearPolynomialEquation} &
+\cross{HEXADEC}{squareFree} \\
+\cross{HEXADEC}{squareFreePart} &
+\cross{HEXADEC}{squareFreePolynomial} \\
+\cross{HEXADEC}{subtractIfCan} &
+\cross{HEXADEC}{unit?} \\
+\cross{HEXADEC}{unitCanonical} &
+\cross{HEXADEC}{unitNormal} \\
+\cross{HEXADEC}{wholePart} &
+\cross{HEXADEC}{zero?} \\
+\cross{HEXADEC}{?*?} &
+\cross{HEXADEC}{?**?} \\
+\cross{HEXADEC}{?+?} &
+\cross{HEXADEC}{?-?} \\
+\cross{HEXADEC}{-?} &
+\cross{HEXADEC}{?/?} \\
+\cross{HEXADEC}{?=?} &
+\cross{HEXADEC}{?\^{}?} \\
+\cross{HEXADEC}{?\~{}=?} &
+\cross{HEXADEC}{?$<$?} \\
+\cross{HEXADEC}{?$<=$?} &
+\cross{HEXADEC}{?$>$?} \\
+\cross{HEXADEC}{?$>=$?} &
+\cross{HEXADEC}{?.?} \\
+\cross{HEXADEC}{?quo?} &
+\cross{HEXADEC}{?rem?} 
+\end{tabular}
+
 <<domain HEXADEC HexadecimalExpansion>>=
 )abbrev domain HEXADEC HexadecimalExpansion
 ++ Author: Clifton J. Williamson
@@ -39256,6 +40000,86 @@ HexadecimalExpansion(): Exports == Implementation where
 {\bf See}\\
 \pageto{OrderedDirectProduct}{ODP}
 \pageto{SplitHomogeneousDirectProduct}{SHDP}
+
+{\bf Exports:}\\
+\begin{tabular}{lllll}
+\cross{HDP}{0} &
+\cross{HDP}{1} &
+\cross{HDP}{abs} &
+\cross{HDP}{any?} &
+\cross{HDP}{characteristic} \\
+\cross{HDP}{coerce} &
+\cross{HDP}{copy} &
+\cross{HDP}{count} &
+\cross{HDP}{D} &
+\cross{HDP}{differentiate} \\
+\cross{HDP}{dimension} &
+\cross{HDP}{directProduct} &
+\cross{HDP}{dot} &
+\cross{HDP}{elt} &
+\cross{HDP}{empty} \\
+\cross{HDP}{empty?} &
+\cross{HDP}{entries} &
+\cross{HDP}{entry?} &
+\cross{HDP}{eq?} &
+\cross{HDP}{eval} \\
+\cross{HDP}{every?} &
+\cross{HDP}{fill!} &
+\cross{HDP}{first} &
+\cross{HDP}{hash} &
+\cross{HDP}{index} \\
+\cross{HDP}{index?} &
+\cross{HDP}{indices} &
+\cross{HDP}{latex} &
+\cross{HDP}{less?} &
+\cross{HDP}{lookup} \\
+\cross{HDP}{map} &
+\cross{HDP}{map!} &
+\cross{HDP}{max} &
+\cross{HDP}{maxIndex} &
+\cross{HDP}{member?} \\
+\cross{HDP}{members} &
+\cross{HDP}{min} &
+\cross{HDP}{minIndex} &
+\cross{HDP}{more?} &
+\cross{HDP}{negative?} \\
+\cross{HDP}{one?} &
+\cross{HDP}{parts} &
+\cross{HDP}{positive?} &
+\cross{HDP}{qelt} &
+\cross{HDP}{qsetelt!} \\
+\cross{HDP}{random} &
+\cross{HDP}{recip} &
+\cross{HDP}{reducedSystem} &
+\cross{HDP}{retract} &
+\cross{HDP}{retractIfCan} \\
+\cross{HDP}{sample} &
+\cross{HDP}{setelt} &
+\cross{HDP}{sign} &
+\cross{HDP}{size} &
+\cross{HDP}{size?} \\
+\cross{HDP}{subtractIfCan} &
+\cross{HDP}{sup} &
+\cross{HDP}{swap!} &
+\cross{HDP}{unitVector} &
+\cross{HDP}{zero?} \\
+\cross{HDP}{\#{}?} &
+\cross{HDP}{?*?} &
+\cross{HDP}{?**?} &
+\cross{HDP}{?+?} &
+\cross{HDP}{?-?} \\
+\cross{HDP}{?/?} &
+\cross{HDP}{?$<$?} &
+\cross{HDP}{?$<=$?} &
+\cross{HDP}{?=?} &
+\cross{HDP}{?$>$?} \\
+\cross{HDP}{?$>=$?} &
+\cross{HDP}{?\^{}?} &
+\cross{HDP}{?\~{}=?} &
+\cross{HDP}{-?} &
+\cross{HDP}{?.?} 
+\end{tabular}
+
 <<domain HDP HomogeneousDirectProduct>>=
 )abbrev domain HDP HomogeneousDirectProduct
 ++ Author:
@@ -39518,6 +40342,96 @@ o )show HomogeneousDistributedMultivariatePolynomial
 {\bf See}\\
 \pageto{GeneralDistributedMultivariatePolynomial}{GDMP}
 \pageto{DistributedMultivariatePolynomial}{DMP}
+
+{\bf Exports:}\\
+\begin{tabular}{lll}
+\cross{HDMP}{0} &
+\cross{HDMP}{1} &
+\cross{HDMP}{associates?} \\
+\cross{HDMP}{binomThmExpt} &
+\cross{HDMP}{characteristic} &
+\cross{HDMP}{charthRoot} \\
+\cross{HDMP}{coefficient} &
+\cross{HDMP}{coefficients} &
+\cross{HDMP}{coerce} \\
+\cross{HDMP}{conditionP} &
+\cross{HDMP}{content} &
+\cross{HDMP}{convert} \\
+\cross{HDMP}{D} &
+\cross{HDMP}{degree} &
+\cross{HDMP}{differentiate} \\
+\cross{HDMP}{discriminant} &
+\cross{HDMP}{eval} &
+\cross{HDMP}{exquo} \\
+\cross{HDMP}{factor} &
+\cross{HDMP}{factorPolynomial} &
+\cross{HDMP}{factorSquareFreePolynomial} \\
+\cross{HDMP}{gcd} &
+\cross{HDMP}{gcdPolynomial} &
+\cross{HDMP}{ground} \\
+\cross{HDMP}{ground?} &
+\cross{HDMP}{hash} &
+\cross{HDMP}{isExpt} \\
+\cross{HDMP}{isPlus} &
+\cross{HDMP}{isTimes} &
+\cross{HDMP}{latex} \\
+\cross{HDMP}{lcm} &
+\cross{HDMP}{leadingCoefficient} &
+\cross{HDMP}{leadingMonomial} \\
+\cross{HDMP}{mainVariable} &
+\cross{HDMP}{map} &
+\cross{HDMP}{mapExponents} \\
+\cross{HDMP}{max} &
+\cross{HDMP}{min} &
+\cross{HDMP}{minimumDegree} \\
+\cross{HDMP}{monicDivide} &
+\cross{HDMP}{monomial} &
+\cross{HDMP}{monomial?} \\
+\cross{HDMP}{monomials} &
+\cross{HDMP}{multivariate} &
+\cross{HDMP}{numberOfMonomials} \\
+\cross{HDMP}{one?} &
+\cross{HDMP}{patternMatch} &
+\cross{HDMP}{pomopo!} \\
+\cross{HDMP}{prime?} &
+\cross{HDMP}{primitiveMonomials} &
+\cross{HDMP}{primitivePart} \\
+\cross{HDMP}{recip} &
+\cross{HDMP}{reducedSystem} &
+\cross{HDMP}{reductum} \\
+\cross{HDMP}{reorder} &
+\cross{HDMP}{resultant} &
+\cross{HDMP}{retract} \\
+\cross{HDMP}{retractIfCan} &
+\cross{HDMP}{sample} &
+\cross{HDMP}{solveLinearPolynomialEquation} \\
+\cross{HDMP}{squareFree} &
+\cross{HDMP}{squareFreePart} &
+\cross{HDMP}{squareFreePolynomial} \\
+\cross{HDMP}{subtractIfCan} &
+\cross{HDMP}{totalDegree} &
+\cross{HDMP}{unit?} \\
+\cross{HDMP}{unitCanonical} &
+\cross{HDMP}{unitNormal} &
+\cross{HDMP}{univariate} \\
+\cross{HDMP}{variables} &
+\cross{HDMP}{zero?} &
+\cross{HDMP}{?*?} \\
+\cross{HDMP}{?**?} &
+\cross{HDMP}{?+?} &
+\cross{HDMP}{?-?} \\
+\cross{HDMP}{-?} &
+\cross{HDMP}{?=?} &
+\cross{HDMP}{?\^{}?} \\
+\cross{HDMP}{?\~{}=?} &
+\cross{HDMP}{?/?} &
+\cross{HDMP}{?$<$?} \\
+\cross{HDMP}{?$<=$?} &
+\cross{HDMP}{?$>$?} &
+\cross{HDMP}{?$>=$?} \\
+\cross{HDMP}{?\^{}?} &&
+\end{tabular}
+
 <<domain HDMP HomogeneousDistributedMultivariatePolynomial>>=
 )abbrev domain HDMP HomogeneousDistributedMultivariatePolynomial
 ++ Author: Barry Trager
@@ -39568,6 +40482,30 @@ HomogeneousDistributedMultivariatePolynomial(vl,R): public == private where
 \pageto{FractionalIdeal}{FRIDEAL}
 \pageto{FramedModule}{FRMOD}
 \pageto{FiniteDivisor}{FDIV}
+
+{\bf Exports:}\\
+\begin{tabular}{lllll}
+\cross{HELLFDIV}{0} &
+\cross{HELLFDIV}{coerce} &
+\cross{HELLFDIV}{decompose} &
+\cross{HELLFDIV}{divisor} &
+\cross{HELLFDIV}{hash} \\
+\cross{HELLFDIV}{ideal} &
+\cross{HELLFDIV}{generator} &
+\cross{HELLFDIV}{latex} &
+\cross{HELLFDIV}{principal?} &
+\cross{HELLFDIV}{reduce} \\
+\cross{HELLFDIV}{sample} &
+\cross{HELLFDIV}{subtractIfCan} &
+\cross{HELLFDIV}{zero?} &
+\cross{HELLFDIV}{?\~{}=?} &
+\cross{HELLFDIV}{?*?} \\
+\cross{HELLFDIV}{?+?} &
+\cross{HELLFDIV}{?-?} &
+\cross{HELLFDIV}{-?} &
+\cross{HELLFDIV}{?=?} &
+\end{tabular}
+
 <<domain HELLFDIV HyperellipticFiniteDivisor>>=
 )abbrev domain HELLFDIV HyperellipticFiniteDivisor
 ++ Finite rational divisors on an hyperelliptic curve
@@ -39752,6 +40690,25 @@ HyperellipticFiniteDivisor(F, UP, UPUP, R): Exports == Implementation where
 \pageto{DataList}{DLIST}
 \pageto{Database}{DBASE}
 \pageto{QueryEquation}{QEQUAT}
+
+{\bf Exports:}\\
+\begin{tabular}{lllll}
+\cross{ICARD}{coerce} &
+\cross{ICARD}{display} &
+\cross{ICARD}{fullDisplay} &
+\cross{ICARD}{hash} &
+\cross{ICARD}{latex} \\
+\cross{ICARD}{max} &
+\cross{ICARD}{min} &
+\cross{ICARD}{?\~{}=?} &
+\cross{ICARD}{?$<$?} &
+\cross{ICARD}{?$<=$?} \\
+\cross{ICARD}{?=?} &
+\cross{ICARD}{?$>$?} &
+\cross{ICARD}{?$>=$?} &
+\cross{ICARD}{?.?} &
+\end{tabular}
+
 <<domain ICARD IndexCard>>=
 )abbrev domain ICARD IndexCard
 ++ This domain implements a container of information
@@ -39824,6 +40781,86 @@ IndexCard() : Exports == Implementation where
 \pageto{Reference}{REF}
 \pageto{Boolean}{BOOLEAN}
 \pageto{Bits}{BITS}
+
+{\bf Exports:}\\
+\begin{tabular}{lllll}
+\cross{IBITS}{And} &
+\cross{IBITS}{any?} &
+\cross{IBITS}{coerce} &
+\cross{IBITS}{concat} &
+\cross{IBITS}{construct} \\
+\cross{IBITS}{convert} &
+\cross{IBITS}{copy} &
+\cross{IBITS}{copyInto!} &
+\cross{IBITS}{count} &
+\cross{IBITS}{count} \\
+\cross{IBITS}{delete} &
+\cross{IBITS}{elt} &
+\cross{IBITS}{empty} &
+\cross{IBITS}{empty?} &
+\cross{IBITS}{entries} \\
+\cross{IBITS}{entry?} &
+\cross{IBITS}{eq?} &
+\cross{IBITS}{eval} &
+\cross{IBITS}{every?} &
+\cross{IBITS}{fill!} \\
+\cross{IBITS}{find} &
+\cross{IBITS}{first} &
+\cross{IBITS}{hash} &
+\cross{IBITS}{index?} &
+\cross{IBITS}{indices} \\
+\cross{IBITS}{insert} &
+\cross{IBITS}{latex} &
+\cross{IBITS}{less?} &
+\cross{IBITS}{map} &
+\cross{IBITS}{map!} \\
+\cross{IBITS}{max} &
+\cross{IBITS}{maxIndex} &
+\cross{IBITS}{member?} &
+\cross{IBITS}{members} &
+\cross{IBITS}{merge} \\
+\cross{IBITS}{min} &
+\cross{IBITS}{minIndex} &
+\cross{IBITS}{more?} &
+\cross{IBITS}{nand} &
+\cross{IBITS}{new} \\
+\cross{IBITS}{nor} &
+\cross{IBITS}{Not} &
+\cross{IBITS}{not?} &
+\cross{IBITS}{Or} &
+\cross{IBITS}{parts} \\
+\cross{IBITS}{position} &
+\cross{IBITS}{qelt} &
+\cross{IBITS}{qsetelt!} &
+\cross{IBITS}{reduce} &
+\cross{IBITS}{removeDuplicates} \\
+\cross{IBITS}{reverse} &
+\cross{IBITS}{reverse!} &
+\cross{IBITS}{sample} &
+\cross{IBITS}{select} &
+\cross{IBITS}{size?} \\
+\cross{IBITS}{sort} &
+\cross{IBITS}{sort!} &
+\cross{IBITS}{sorted?} &
+\cross{IBITS}{swap!} &
+\cross{IBITS}{xor} \\
+\cross{IBITS}{\#{}?} &
+\cross{IBITS}{?.?} &
+\cross{IBITS}{?/$\backslash{}$?} &
+\cross{IBITS}{?$<$?} &
+\cross{IBITS}{?$<=$?} \\
+\cross{IBITS}{?=?} &
+\cross{IBITS}{?$>$?} &
+\cross{IBITS}{?$>=$?} &
+\cross{IBITS}{?$\backslash{}$/?} &
+\cross{IBITS}{\^{}?} \\
+\cross{IBITS}{?.?} &
+\cross{IBITS}{\~{}?} &
+\cross{IBITS}{?\~{}=?} &
+\cross{IBITS}{?or?} &
+\cross{IBITS}{?and?} 
+\end{tabular}
+
 <<domain IBITS IndexedBits>>=
 )abbrev domain IBITS IndexedBits
 ++ Author: Stephen Watt and Michael Monagan
@@ -39900,6 +40937,29 @@ IndexedBits(mn:Integer): BitAggregate() with
 \pageto{IndexedDirectProductAbelianMonoid}{IDPAM}
 \pageto{IndexedDirectProductOrderedAbelianMonoid}{IDPOAM}
 \pageto{IndexedDirectProductOrderedAbelianMonoidSup}{IDPOAMS}
+
+{\bf Exports:}\\
+\begin{tabular}{lllll}
+\cross{IDPAG}{0} &
+\cross{IDPAG}{coerce} &
+\cross{IDPAG}{hash} &
+\cross{IDPAG}{latex} &
+\cross{IDPAG}{leadingCoefficient} \\
+\cross{IDPAG}{leadingSupport} &
+\cross{IDPAG}{map} &
+\cross{IDPAG}{monomial} &
+\cross{IDPAG}{reductum} &
+\cross{IDPAG}{sample} \\
+\cross{IDPAG}{subtractIfCan} &
+\cross{IDPAG}{zero?} &
+\cross{IDPAG}{?\~{}=?} &
+\cross{IDPAG}{?*?} &
+\cross{IDPAG}{?+?} \\
+\cross{IDPAG}{?-?} &
+\cross{IDPAG}{-?} &
+\cross{IDPAG}{?=?} &&
+\end{tabular}
+
 <<domain IDPAG IndexedDirectProductAbelianGroup>>=
 )abbrev domain IDPAG IndexedDirectProductAbelianGroup
 ++ Indexed direct products of abelian groups over an abelian group \spad{A} of
@@ -39984,6 +41044,26 @@ IndexedDirectProductAbelianGroup(A:AbelianGroup,S:OrderedSet):
 \pageto{IndexedDirectProductOrderedAbelianMonoid}{IDPOAM}
 \pageto{IndexedDirectProductOrderedAbelianMonoidSup}{IDPOAMS}
 \pageto{IndexedDirectProductAbelianGroup}{IDPAG}
+
+{\bf Exports:}\\
+\begin{tabular}{lllll}
+\cross{IDPAM}{0} &
+\cross{IDPAM}{coerce} &
+\cross{IDPAM}{hash} &
+\cross{IDPAM}{latex} &
+\cross{IDPAM}{leadingCoefficient} \\
+\cross{IDPAM}{leadingSupport} &
+\cross{IDPAM}{map} &
+\cross{IDPAM}{monomial} &
+\cross{IDPAM}{reductum} &
+\cross{IDPAM}{sample} \\
+\cross{IDPAM}{zero?} &
+\cross{IDPAM}{?\~{}=?} &
+\cross{IDPAM}{?*?} &
+\cross{IDPAM}{?+?} &
+\cross{IDPAM}{?=?}
+\end{tabular}
+
 <<domain IDPAM IndexedDirectProductAbelianMonoid>>=
 )abbrev domain IDPAM IndexedDirectProductAbelianMonoid
 ++ Indexed direct products of abelian monoids over an abelian monoid \spad{A} of
@@ -40079,6 +41159,21 @@ IndexedDirectProductAbelianMonoid(A:AbelianMonoid,S:OrderedSet):
 \pageto{IndexedDirectProductOrderedAbelianMonoid}{IDPOAM}
 \pageto{IndexedDirectProductOrderedAbelianMonoidSup}{IDPOAMS}
 \pageto{IndexedDirectProductAbelianGroup}{IDPAG}
+
+{\bf Exports:}\\
+\begin{tabular}{lllll}
+\cross{IDPO}{coerce} &
+\cross{IDPO}{hash} &
+\cross{IDPO}{latex} &
+\cross{IDPO}{leadingCoefficient} &
+\cross{IDPO}{leadingSupport} \\
+\cross{IDPO}{map} &
+\cross{IDPO}{monomial} &
+\cross{IDPO}{reductum} &
+\cross{IDPO}{?=?} &
+\cross{IDPO}{?\~{}=?} 
+\end{tabular}
+
 <<domain IDPO IndexedDirectProductObject>>=
 )abbrev domain IDPO IndexedDirectProductObject
 ++ Indexed direct products of objects over a set \spad{A}
@@ -40136,6 +41231,32 @@ IndexedDirectProductObject(A:SetCategory,S:OrderedSet): IndexedDirectProductCate
 \pageto{IndexedDirectProductAbelianMonoid}{IDPAM}
 \pageto{IndexedDirectProductOrderedAbelianMonoidSup}{IDPOAMS}
 \pageto{IndexedDirectProductAbelianGroup}{IDPAG}
+
+{\bf Exports:}\\
+\begin{tabular}{lllll}
+\cross{IDPOAM}{0} &
+\cross{IDPOAM}{coerce} &
+\cross{IDPOAM}{hash} &
+\cross{IDPOAM}{latex} &
+\cross{IDPOAM}{leadingCoefficient} \\
+\cross{IDPOAM}{leadingSupport} &
+\cross{IDPOAM}{map} &
+\cross{IDPOAM}{max} &
+\cross{IDPOAM}{min} &
+\cross{IDPOAM}{monomial} \\
+\cross{IDPOAM}{reductum} &
+\cross{IDPOAM}{sample} &
+\cross{IDPOAM}{zero?} &
+\cross{IDPOAM}{?\~{}=?} &
+\cross{IDPOAM}{?*?} \\
+\cross{IDPOAM}{?+?} &
+\cross{IDPOAM}{?$<$?} &
+\cross{IDPOAM}{?$<=$?} &
+\cross{IDPOAM}{?=?} &
+\cross{IDPOAM}{?$>$?} \\
+\cross{IDPOAM}{?$>=$?} &&&&
+\end{tabular}
+
 <<domain IDPOAM IndexedDirectProductOrderedAbelianMonoid>>=
 )abbrev domain IDPOAM IndexedDirectProductOrderedAbelianMonoid
 ++ Indexed direct products of ordered abelian monoids \spad{A} of
@@ -40173,6 +41294,34 @@ IndexedDirectProductOrderedAbelianMonoid(A:OrderedAbelianMonoid,S:OrderedSet):
 \pageto{IndexedDirectProductAbelianMonoid}{IDPAM}
 \pageto{IndexedDirectProductOrderedAbelianMonoid}{IDPOAM}
 \pageto{IndexedDirectProductAbelianGroup}{IDPAG}
+
+{\bf Exports:}\\
+\begin{tabular}{lllll}
+\cross{IDPOAMS}{0} &
+\cross{IDPOAMS}{coerce} &
+\cross{IDPOAMS}{hash} &
+\cross{IDPOAMS}{latex} &
+\cross{IDPOAMS}{leadingCoefficient} \\
+\cross{IDPOAMS}{leadingSupport} &
+\cross{IDPOAMS}{map} &
+\cross{IDPOAMS}{max} &
+\cross{IDPOAMS}{min} &
+\cross{IDPOAMS}{monomial} \\
+\cross{IDPOAMS}{reductum} &
+\cross{IDPOAMS}{sample} &
+\cross{IDPOAMS}{subtractIfCan} &
+\cross{IDPOAMS}{sup} &
+\cross{IDPOAMS}{zero?} \\
+\cross{IDPOAMS}{?\~{}=?} &
+\cross{IDPOAMS}{?*?} &
+\cross{IDPOAMS}{?+?} &
+\cross{IDPOAMS}{?$<$?} &
+\cross{IDPOAMS}{?$<=$?} \\
+\cross{IDPOAMS}{?=?} &
+\cross{IDPOAMS}{?$>$?} &
+\cross{IDPOAMS}{?$>=$?} &&
+\end{tabular}
+
 <<domain IDPOAMS IndexedDirectProductOrderedAbelianMonoidSup>>=
 )abbrev domain IDPOAMS IndexedDirectProductOrderedAbelianMonoidSup
 ++ Indexed direct products of ordered abelian monoid sups \spad{A},
@@ -40226,6 +41375,34 @@ IndexedDirectProductOrderedAbelianMonoidSup(A:OrderedAbelianMonoidSup,S:OrderedS
 \pageto{Polynomial}{POLY}
 \pageto{MultivariatePolynomial}{MPOLY}
 \pageto{SparseMultivariatePolynomial}{SMP}
+
+{\bf Exports:}\\
+\begin{tabular}{lllll}
+\cross{INDE}{0} &
+\cross{INDE}{coerce} &
+\cross{INDE}{hash} &
+\cross{INDE}{latex} &
+\cross{INDE}{leadingCoefficient} \\
+\cross{INDE}{leadingSupport} &
+\cross{INDE}{map} &
+\cross{INDE}{max} &
+\cross{INDE}{min} &
+\cross{INDE}{monomial} \\
+\cross{INDE}{reductum} &
+\cross{INDE}{sample} &
+\cross{INDE}{subtractIfCan} &
+\cross{INDE}{sup} &
+\cross{INDE}{zero?} \\
+\cross{INDE}{?\~{}=?} &
+\cross{INDE}{?*?} &
+\cross{INDE}{?+?} &
+\cross{INDE}{?$<$?} &
+\cross{INDE}{?$<=$?} \\
+\cross{INDE}{?=?} &
+\cross{INDE}{?$>$?} &
+\cross{INDE}{?$>=$?} &&
+\end{tabular}
+
 <<domain INDE IndexedExponents>>=
 )abbrev domain INDE IndexedExponents
 ++ Author: James Davenport
@@ -40275,6 +41452,86 @@ IndexedExponents(Varset:OrderedSet): C == T where
 \pageto{FlexibleArray}{FARRAY}
 \pageto{IndexedOneDimensionalArray}{IARRAY1}
 \pageto{OneDimensionalArray}{ARRAY1}
+
+{\bf Exports:}\\
+\begin{tabular}{llll}
+\cross{IFARRAY}{concat} &
+\cross{IFARRAY}{concat!} &
+\cross{IFARRAY}{construct} &
+\cross{IFARRAY}{copy} \\
+\cross{IFARRAY}{delete} &
+\cross{IFARRAY}{delete!} &
+\cross{IFARRAY}{elt} &
+\cross{IFARRAY}{empty} \\
+\cross{IFARRAY}{empty?} &
+\cross{IFARRAY}{entries} &
+\cross{IFARRAY}{eq?} &
+\cross{IFARRAY}{flexibleArray} \\
+\cross{IFARRAY}{index?} &
+\cross{IFARRAY}{indices} &
+\cross{IFARRAY}{insert} &
+\cross{IFARRAY}{insert!} \\
+\cross{IFARRAY}{map} &
+\cross{IFARRAY}{new} &
+\cross{IFARRAY}{qelt} &
+\cross{IFARRAY}{reverse} \\
+\cross{IFARRAY}{sample} &
+\cross{IFARRAY}{shrinkable} &
+\cross{IFARRAY}{ any?} &
+\cross{IFARRAY}{coerce} \\
+\cross{IFARRAY}{convert} &
+\cross{IFARRAY}{copyInto!} &
+\cross{IFARRAY}{count} &
+\cross{IFARRAY}{delete} \\
+\cross{IFARRAY}{delete!} &
+\cross{IFARRAY}{entry?} &
+\cross{IFARRAY}{eval} &
+\cross{IFARRAY}{every?} \\
+\cross{IFARRAY}{fill!} &
+\cross{IFARRAY}{find} &
+\cross{IFARRAY}{first} &
+\cross{IFARRAY}{hash} \\
+\cross{IFARRAY}{latex} &
+\cross{IFARRAY}{less?} &
+\cross{IFARRAY}{map!} &
+\cross{IFARRAY}{max} \\
+\cross{IFARRAY}{maxIndex} &
+\cross{IFARRAY}{member?} &
+\cross{IFARRAY}{members} &
+\cross{IFARRAY}{merge} \\
+\cross{IFARRAY}{merge!} &
+\cross{IFARRAY}{min} &
+\cross{IFARRAY}{minIndex} &
+\cross{IFARRAY}{more?} \\
+\cross{IFARRAY}{parts} &
+\cross{IFARRAY}{physicalLength} &
+\cross{IFARRAY}{physicalLength!} &
+\cross{IFARRAY}{position} \\
+\cross{IFARRAY}{qsetelt!} &
+\cross{IFARRAY}{reduce} &
+\cross{IFARRAY}{remove} &
+\cross{IFARRAY}{remove!} \\
+\cross{IFARRAY}{removeDuplicates} &
+\cross{IFARRAY}{removeDuplicates!} &
+\cross{IFARRAY}{reverse!} &
+\cross{IFARRAY}{select} \\
+\cross{IFARRAY}{select!} &
+\cross{IFARRAY}{setelt} &
+\cross{IFARRAY}{size?} &
+\cross{IFARRAY}{sort} \\
+\cross{IFARRAY}{sort!} &
+\cross{IFARRAY}{sorted?} &
+\cross{IFARRAY}{swap!} &
+\cross{IFARRAY}{\#{}?} \\
+\cross{IFARRAY}{?$<$?} &
+\cross{IFARRAY}{?$<=$?} &
+\cross{IFARRAY}{?=?} &
+\cross{IFARRAY}{?$>$?} \\
+\cross{IFARRAY}{?$>=$?} &
+\cross{IFARRAY}{?\~{}=?} &
+\cross{IFARRAY}{?.?} &
+\end{tabular}
+
 <<domain IFARRAY IndexedFlexibleArray>>=
 )abbrev domain IFARRAY IndexedFlexibleArray
 ++ Author: Michael Monagan July/87, modified SMW June/91
@@ -40522,6 +41779,111 @@ IndexedFlexibleArray(S:Type, mn: Integer): Exports == Implementation where
 {\bf See}\\
 \pageto{List}{LIST}
 \pageto{AssociationList}{ALIST}
+
+{\bf Exports:}\\
+\begin{tabular}{llll}
+\cross{ILIST}{any?} &
+\cross{ILIST}{child?} &
+\cross{ILIST}{children} &
+\cross{ILIST}{coerce} \\
+\cross{ILIST}{concat} &
+\cross{ILIST}{convert} &
+\cross{ILIST}{concat!} &
+\cross{ILIST}{copyInto!} \\
+\cross{ILIST}{construct} &
+\cross{ILIST}{copy} &
+\cross{ILIST}{count} &
+\cross{ILIST}{cycleEntry} \\
+\cross{ILIST}{cycleLength} &
+\cross{ILIST}{cycleSplit!} &
+\cross{ILIST}{cycleTail} &
+\cross{ILIST}{cyclic?} \\
+\cross{ILIST}{delete} &
+\cross{ILIST}{delete!} &
+\cross{ILIST}{distance} &
+\cross{ILIST}{elt} \\
+\cross{ILIST}{empty} &
+\cross{ILIST}{empty?} &
+\cross{ILIST}{entries} &
+\cross{ILIST}{entry?} \\
+\cross{ILIST}{eq?} &
+\cross{ILIST}{eval} &
+\cross{ILIST}{every?} &
+\cross{ILIST}{explicitlyFinite?} \\
+\cross{ILIST}{fill!} &
+\cross{ILIST}{find} &
+\cross{ILIST}{first} &
+\cross{ILIST}{hash} \\
+\cross{ILIST}{index?} &
+\cross{ILIST}{indices} &
+\cross{ILIST}{insert} &
+\cross{ILIST}{insert!} \\
+\cross{ILIST}{last} &
+\cross{ILIST}{latex} &
+\cross{ILIST}{leaf?} &
+\cross{ILIST}{leaves} \\
+\cross{ILIST}{less?} &
+\cross{ILIST}{list} &
+\cross{ILIST}{map} &
+\cross{ILIST}{map!} \\
+\cross{ILIST}{max} &
+\cross{ILIST}{maxIndex} &
+\cross{ILIST}{member?} &
+\cross{ILIST}{members} \\
+\cross{ILIST}{merge} &
+\cross{ILIST}{merge!} &
+\cross{ILIST}{min} &
+\cross{ILIST}{minIndex} \\
+\cross{ILIST}{more?} &
+\cross{ILIST}{new} &
+\cross{ILIST}{node?} &
+\cross{ILIST}{nodes} \\
+\cross{ILIST}{parts} &
+\cross{ILIST}{position} &
+\cross{ILIST}{possiblyInfinite?} &
+\cross{ILIST}{qelt} \\
+\cross{ILIST}{qsetelt!} &
+\cross{ILIST}{reduce} &
+\cross{ILIST}{remove} &
+\cross{ILIST}{remove!} \\
+\cross{ILIST}{removeDuplicates} &
+\cross{ILIST}{removeDuplicates!} &
+\cross{ILIST}{rest} &
+\cross{ILIST}{reverse} \\
+\cross{ILIST}{reverse!} &
+\cross{ILIST}{sample} &
+\cross{ILIST}{second} &
+\cross{ILIST}{select} \\
+\cross{ILIST}{select!} &
+\cross{ILIST}{setchildren!} &
+\cross{ILIST}{setelt} &
+\cross{ILIST}{setfirst!} \\
+\cross{ILIST}{setlast!} &
+\cross{ILIST}{setrest!} &
+\cross{ILIST}{setvalue!} &
+\cross{ILIST}{size?} \\
+\cross{ILIST}{sort} &
+\cross{ILIST}{sort!} &
+\cross{ILIST}{sorted?} &
+\cross{ILIST}{split!} \\
+\cross{ILIST}{swap!} &
+\cross{ILIST}{tail} &
+\cross{ILIST}{third} &
+\cross{ILIST}{value} \\
+\cross{ILIST}{\#{}?} &
+\cross{ILIST}{?$<$?} &
+\cross{ILIST}{?$<=$?} &
+\cross{ILIST}{?=?} \\
+\cross{ILIST}{?$>$?} &
+\cross{ILIST}{?$>=$?} &
+\cross{ILIST}{?\~{}=?} &
+\cross{ILIST}{?.?} \\
+\cross{ILIST}{?.last} &
+\cross{ILIST}{?.rest} &
+\cross{ILIST}{?.first} &
+\cross{ILIST}{?.value} 
+\end{tabular}
+
 <<domain ILIST IndexedList>>=
 )abbrev domain ILIST IndexedList
 ++ Author: Michael Monagan
@@ -40727,6 +42089,81 @@ IndexedList(S:Type, mn:Integer): Exports == Implementation where
 \pageto{Matrix}{MATRIX}
 \pageto{RectangularMatrix}{RMATRIX}
 \pageto{SquareMatrix}{SQMATRIX}
+
+{\bf Exports:}\\
+\begin{tabular}{lllll}
+\cross{IMATRIX}{any?} &
+\cross{IMATRIX}{antisymmetric?} &
+\cross{IMATRIX}{coerce} &
+\cross{IMATRIX}{column} &
+\cross{IMATRIX}{copy} \\
+\cross{IMATRIX}{count} &
+\cross{IMATRIX}{determinant} &
+\cross{IMATRIX}{diagonal?} &
+\cross{IMATRIX}{diagonalMatrix} &
+\cross{IMATRIX}{elt} \\
+\cross{IMATRIX}{empty} &
+\cross{IMATRIX}{empty?} &
+\cross{IMATRIX}{eq?} &
+\cross{IMATRIX}{eval} &
+\cross{IMATRIX}{every?} \\
+\cross{IMATRIX}{exquo} &
+\cross{IMATRIX}{fill!} &
+\cross{IMATRIX}{hash} &
+\cross{IMATRIX}{horizConcat} &
+\cross{IMATRIX}{inverse} \\
+\cross{IMATRIX}{latex} &
+\cross{IMATRIX}{less?} &
+\cross{IMATRIX}{listOfLists} &
+\cross{IMATRIX}{map} &
+\cross{IMATRIX}{map!} \\
+\cross{IMATRIX}{matrix} &
+\cross{IMATRIX}{maxColIndex} &
+\cross{IMATRIX}{maxRowIndex} &
+\cross{IMATRIX}{member?} &
+\cross{IMATRIX}{members} \\
+\cross{IMATRIX}{minColIndex} &
+\cross{IMATRIX}{minordet} &
+\cross{IMATRIX}{minRowIndex} &
+\cross{IMATRIX}{more?} &
+\cross{IMATRIX}{ncols} \\
+\cross{IMATRIX}{new} &
+\cross{IMATRIX}{nrows} &
+\cross{IMATRIX}{nullSpace} &
+\cross{IMATRIX}{nullity} &
+\cross{IMATRIX}{parts} \\
+\cross{IMATRIX}{qelt} &
+\cross{IMATRIX}{qsetelt!} &
+\cross{IMATRIX}{rank} &
+\cross{IMATRIX}{row} &
+\cross{IMATRIX}{rowEchelon} \\
+\cross{IMATRIX}{sample} &
+\cross{IMATRIX}{scalarMatrix} &
+\cross{IMATRIX}{setColumn!} &
+\cross{IMATRIX}{setRow!} &
+\cross{IMATRIX}{setelt} \\
+\cross{IMATRIX}{setsubMatrix!} &
+\cross{IMATRIX}{size?} &
+\cross{IMATRIX}{square?} &
+\cross{IMATRIX}{squareTop} &
+\cross{IMATRIX}{subMatrix} \\
+\cross{IMATRIX}{swapColumns!} &
+\cross{IMATRIX}{swapRows!} &
+\cross{IMATRIX}{symmetric?} &
+\cross{IMATRIX}{transpose} &
+\cross{IMATRIX}{vertConcat} \\
+\cross{IMATRIX}{zero} &
+\cross{IMATRIX}{\#{}?} &
+\cross{IMATRIX}{?*?} &
+\cross{IMATRIX}{?**?} &
+\cross{IMATRIX}{?/?} \\
+\cross{IMATRIX}{?=?} &
+\cross{IMATRIX}{?\~{}=?} &
+\cross{IMATRIX}{?+?} &
+\cross{IMATRIX}{-?} &
+\cross{IMATRIX}{?-?} 
+\end{tabular}
+
 <<domain IMATRIX IndexedMatrix>>=
 )abbrev domain IMATRIX IndexedMatrix
 ++ Author: Grabmeier, Gschnitzer, Williamson
@@ -40812,6 +42249,90 @@ IndexedMatrix(R,mnRow,mnCol): Exports == Implementation where
 \pageto{IndexedFlexibleArray}{IFARRAY}
 \pageto{FlexibleArray}{FARRAY}
 \pageto{OneDimensionalArray}{ARRAY1}
+
+{\bf Exports:}\\
+\begin{tabular}{lllll}
+\cross{IARRAY1}{concat} &
+\cross{IARRAY1}{construct} &
+\cross{IARRAY1}{copy} &
+\cross{IARRAY1}{delete} &
+\cross{IARRAY1}{elt} \\
+\cross{IARRAY1}{empty} &
+\cross{IARRAY1}{empty?} &
+\cross{IARRAY1}{entries} &
+\cross{IARRAY1}{eq?} &
+\cross{IARRAY1}{index?} \\
+\cross{IARRAY1}{indices} &
+\cross{IARRAY1}{insert} &
+\cross{IARRAY1}{insert} &
+\cross{IARRAY1}{map} &
+\cross{IARRAY1}{map} \\
+\cross{IARRAY1}{new} &
+\cross{IARRAY1}{qelt} &
+\cross{IARRAY1}{reverse} &
+\cross{IARRAY1}{sample} &
+\cross{IARRAY1}{any?} \\
+\cross{IARRAY1}{coerce} &
+\cross{IARRAY1}{convert} &
+\cross{IARRAY1}{copyInto!} &
+\cross{IARRAY1}{count} &
+\cross{IARRAY1}{count} \\
+\cross{IARRAY1}{delete} &
+\cross{IARRAY1}{entry?} &
+\cross{IARRAY1}{eval} &
+\cross{IARRAY1}{eval} &
+\cross{IARRAY1}{eval} \\
+\cross{IARRAY1}{eval} &
+\cross{IARRAY1}{every?} &
+\cross{IARRAY1}{fill!} &
+\cross{IARRAY1}{find} &
+\cross{IARRAY1}{first} \\
+\cross{IARRAY1}{hash} &
+\cross{IARRAY1}{latex} &
+\cross{IARRAY1}{less?} &
+\cross{IARRAY1}{map!} &
+\cross{IARRAY1}{max} \\
+\cross{IARRAY1}{maxIndex} &
+\cross{IARRAY1}{member?} &
+\cross{IARRAY1}{members} &
+\cross{IARRAY1}{merge} &
+\cross{IARRAY1}{merge} \\
+\cross{IARRAY1}{min} &
+\cross{IARRAY1}{minIndex} &
+\cross{IARRAY1}{more?} &
+\cross{IARRAY1}{parts} &
+\cross{IARRAY1}{position} \\
+\cross{IARRAY1}{position} &
+\cross{IARRAY1}{position} &
+\cross{IARRAY1}{qsetelt!} &
+\cross{IARRAY1}{reduce} &
+\cross{IARRAY1}{reduce} \\
+\cross{IARRAY1}{reduce} &
+\cross{IARRAY1}{remove} &
+\cross{IARRAY1}{remove} &
+\cross{IARRAY1}{removeDuplicates} &
+\cross{IARRAY1}{reverse!} \\
+\cross{IARRAY1}{select} &
+\cross{IARRAY1}{setelt} &
+\cross{IARRAY1}{setelt} &
+\cross{IARRAY1}{size?} &
+\cross{IARRAY1}{sort} \\
+\cross{IARRAY1}{sort} &
+\cross{IARRAY1}{sort!} &
+\cross{IARRAY1}{sort!} &
+\cross{IARRAY1}{sorted?} &
+\cross{IARRAY1}{sorted?} \\
+\cross{IARRAY1}{swap!} &
+\cross{IARRAY1}{\#{}?} &
+\cross{IARRAY1}{?$<$?} &
+\cross{IARRAY1}{?$<=$?} &
+\cross{IARRAY1}{?=?} \\
+\cross{IARRAY1}{?$>$?} &
+\cross{IARRAY1}{?$>=$?} &
+\cross{IARRAY1}{?\~{}=?} &
+\cross{IARRAY1}{?.?} &
+\end{tabular}
+
 <<domain IARRAY1 IndexedOneDimensionalArray>>=
 )abbrev domain IARRAY1 IndexedOneDimensionalArray
 ++ Author Micheal Monagan Aug/87
@@ -40913,6 +42434,87 @@ IndexedOneDimensionalArray(S:Type, mn:Integer):
 \pageto{Character}{CHAR}
 \pageto{CharacterClass}{CCLASS}
 \pageto{String}{STRING}
+
+{\bf Exports:}\\
+\begin{tabular}{lllll}
+\cross{ISTRING}{any?} &
+\cross{ISTRING}{coerce} &
+\cross{ISTRING}{concat} &
+\cross{ISTRING}{construct} &
+\cross{ISTRING}{convert} \\
+\cross{ISTRING}{copy} &
+\cross{ISTRING}{copyInto!} &
+\cross{ISTRING}{count} &
+\cross{ISTRING}{delete} &
+\cross{ISTRING}{elt} \\
+\cross{ISTRING}{empty} &
+\cross{ISTRING}{empty?} &
+\cross{ISTRING}{entries} &
+\cross{ISTRING}{entry?} &
+\cross{ISTRING}{eq?} \\
+\cross{ISTRING}{eval} &
+\cross{ISTRING}{every?} &
+\cross{ISTRING}{fill!} &
+\cross{ISTRING}{find} &
+\cross{ISTRING}{first} \\
+\cross{ISTRING}{hash} &
+\cross{ISTRING}{index?} &
+\cross{ISTRING}{indices} &
+\cross{ISTRING}{insert} &
+\cross{ISTRING}{latex} \\
+\cross{ISTRING}{leftTrim} &
+\cross{ISTRING}{less?} &
+\cross{ISTRING}{lowerCase} &
+\cross{ISTRING}{lowerCase!} &
+\cross{ISTRING}{map} \\
+\cross{ISTRING}{map!} &
+\cross{ISTRING}{match} &
+\cross{ISTRING}{match?} &
+\cross{ISTRING}{max} &
+\cross{ISTRING}{maxIndex} \\
+\cross{ISTRING}{member?} &
+\cross{ISTRING}{members} &
+\cross{ISTRING}{merge} &
+\cross{ISTRING}{min} &
+\cross{ISTRING}{minIndex} \\
+\cross{ISTRING}{more?} &
+\cross{ISTRING}{new} &
+\cross{ISTRING}{parts} &
+\cross{ISTRING}{prefix?} &
+\cross{ISTRING}{position} \\
+\cross{ISTRING}{qelt} &
+\cross{ISTRING}{qsetelt!} &
+\cross{ISTRING}{reduce} &
+\cross{ISTRING}{remove} &
+\cross{ISTRING}{removeDuplicates} \\
+\cross{ISTRING}{replace} &
+\cross{ISTRING}{reverse} &
+\cross{ISTRING}{reverse!} &
+\cross{ISTRING}{rightTrim} &
+\cross{ISTRING}{sample} \\
+\cross{ISTRING}{select} &
+\cross{ISTRING}{setelt} &
+\cross{ISTRING}{size?} &
+\cross{ISTRING}{sort} &
+\cross{ISTRING}{sort!} \\
+\cross{ISTRING}{sorted?} &
+\cross{ISTRING}{split} &
+\cross{ISTRING}{suffix?} &
+\cross{ISTRING}{substring?} &
+\cross{ISTRING}{swap!} \\
+\cross{ISTRING}{trim} &
+\cross{ISTRING}{upperCase} &
+\cross{ISTRING}{upperCase!} &
+\cross{ISTRING}{\#{}?} &
+\cross{ISTRING}{?$<$?} \\
+\cross{ISTRING}{?$<=$?} &
+\cross{ISTRING}{?=?} &
+\cross{ISTRING}{?$>$?} &
+\cross{ISTRING}{?$>=$?} &
+\cross{ISTRING}{?\~{}=?} \\
+\cross{ISTRING}{?.?} &&&&
+\end{tabular}
+
 <<domain ISTRING IndexedString>>=
 )abbrev domain ISTRING IndexedString
 ++ Authors: Stephen Watt, Michael Monagan, Manuel Bronstein 1986 .. 1991
@@ -41140,6 +42742,51 @@ first column in an array and vice versa.
 {\bf See}\\
 \pageto{InnerIndexedTwoDimensionalArray}{IIARRAY2}
 \pageto{TwoDimensionalArray}{ARRAY2}
+
+{\bf Exports:}\\
+\begin{tabular}{lllll}
+\cross{IARRAY2}{any?} &
+\cross{IARRAY2}{coerce} &
+\cross{IARRAY2}{column} &
+\cross{IARRAY2}{copy} &
+\cross{IARRAY2}{count} \\
+\cross{IARRAY2}{count} &
+\cross{IARRAY2}{elt} &
+\cross{IARRAY2}{empty} &
+\cross{IARRAY2}{empty?} &
+\cross{IARRAY2}{eq?} \\
+\cross{IARRAY2}{eval} &
+\cross{IARRAY2}{every?} &
+\cross{IARRAY2}{fill!} &
+\cross{IARRAY2}{hash} &
+\cross{IARRAY2}{latex} \\
+\cross{IARRAY2}{less?} &
+\cross{IARRAY2}{maxColIndex} &
+\cross{IARRAY2}{maxRowIndex} &
+\cross{IARRAY2}{map} &
+\cross{IARRAY2}{map!} \\
+\cross{IARRAY2}{member?} &
+\cross{IARRAY2}{members} &
+\cross{IARRAY2}{minColIndex} &
+\cross{IARRAY2}{minRowIndex} &
+\cross{IARRAY2}{more?} \\
+\cross{IARRAY2}{ncols} &
+\cross{IARRAY2}{new} &
+\cross{IARRAY2}{nrows} &
+\cross{IARRAY2}{parts} &
+\cross{IARRAY2}{qelt} \\
+\cross{IARRAY2}{qsetelt!} &
+\cross{IARRAY2}{row} &
+\cross{IARRAY2}{sample} &
+\cross{IARRAY2}{setColumn!} &
+\cross{IARRAY2}{setRow!} \\
+\cross{IARRAY2}{setelt} &
+\cross{IARRAY2}{size?} &
+\cross{IARRAY2}{\#{}?} &
+\cross{IARRAY2}{?=?} &
+\cross{IARRAY2}{?\~{}=?}
+\end{tabular}
+
 <<domain IARRAY2 IndexedTwoDimensionalArray>>=
 )abbrev domain IARRAY2 IndexedTwoDimensionalArray
 IndexedTwoDimensionalArray(R,mnRow,mnCol):Exports == Implementation where
@@ -41165,6 +42812,82 @@ IndexedTwoDimensionalArray(R,mnRow,mnCol):Exports == Implementation where
 \section{domain IVECTOR IndexedVector}
 \pagehead{IndexedVector}{IVECTOR}
 \pagepic{ps/v103indexedvector.ps}{IVECTOR}{1.00}
+
+{\bf Exports:}\\
+\begin{tabular}{lllll}
+\cross{IVECTOR}{any?} &
+\cross{IVECTOR}{coerce} &
+\cross{IVECTOR}{concat} &
+\cross{IVECTOR}{construct} &
+\cross{IVECTOR}{convert} \\
+\cross{IVECTOR}{copy} &
+\cross{IVECTOR}{copyInto!} &
+\cross{IVECTOR}{count} &
+\cross{IVECTOR}{cross} &
+\cross{IVECTOR}{delete} \\
+\cross{IVECTOR}{dot} &
+\cross{IVECTOR}{elt} &
+\cross{IVECTOR}{empty} &
+\cross{IVECTOR}{empty?} &
+\cross{IVECTOR}{entries} \\
+\cross{IVECTOR}{entry?} &
+\cross{IVECTOR}{eq?} &
+\cross{IVECTOR}{eval} &
+\cross{IVECTOR}{every?} &
+\cross{IVECTOR}{fill!} \\
+\cross{IVECTOR}{find} &
+\cross{IVECTOR}{first} &
+\cross{IVECTOR}{hash} &
+\cross{IVECTOR}{index?} &
+\cross{IVECTOR}{indices} \\
+\cross{IVECTOR}{insert} &
+\cross{IVECTOR}{latex} &
+\cross{IVECTOR}{length} &
+\cross{IVECTOR}{less?} &
+\cross{IVECTOR}{magnitude} \\
+\cross{IVECTOR}{map!} &
+\cross{IVECTOR}{max} &
+\cross{IVECTOR}{maxIndex} &
+\cross{IVECTOR}{member?} &
+\cross{IVECTOR}{members} \\
+\cross{IVECTOR}{merge} &
+\cross{IVECTOR}{min} &
+\cross{IVECTOR}{minIndex} &
+\cross{IVECTOR}{more?} &
+\cross{IVECTOR}{new} \\
+\cross{IVECTOR}{outerProduct} &
+\cross{IVECTOR}{parts} &
+\cross{IVECTOR}{position} &
+\cross{IVECTOR}{qelt} &
+\cross{IVECTOR}{qsetelt!} \\
+\cross{IVECTOR}{reduce} &
+\cross{IVECTOR}{remove} &
+\cross{IVECTOR}{removeDuplicates} &
+\cross{IVECTOR}{reverse} &
+\cross{IVECTOR}{reverse!} \\
+\cross{IVECTOR}{sample} &
+\cross{IVECTOR}{select} &
+\cross{IVECTOR}{setelt} &
+\cross{IVECTOR}{size?} &
+\cross{IVECTOR}{sort} \\
+\cross{IVECTOR}{sort!} &
+\cross{IVECTOR}{sorted?} &
+\cross{IVECTOR}{swap!} &
+\cross{IVECTOR}{zero} &
+\cross{IVECTOR}{\#{}?} \\
+\cross{IVECTOR}{?*?} &
+\cross{IVECTOR}{?+?} &
+\cross{IVECTOR}{?-?} &
+\cross{IVECTOR}{?$<$?} &
+\cross{IVECTOR}{?$<=$?} \\
+\cross{IVECTOR}{?=?} &
+\cross{IVECTOR}{?$>$?} &
+\cross{IVECTOR}{?$>=$?} &
+\cross{IVECTOR}{?\~{}=?} &
+\cross{IVECTOR}{-?} \\
+\cross{IVECTOR}{?.?} &&&&
+\end{tabular}
+
 <<domain IVECTOR IndexedVector>>=
 )abbrev domain IVECTOR IndexedVector
 ++ Author:
@@ -41194,6 +42917,18 @@ IndexedVector(R:Type, mn:Integer):
 \section{domain ITUPLE InfiniteTuple}
 \pagehead{InfiniteTuple}{ITUPLE}
 \pagepic{ps/v103infinitetuple.ps}{ITUPLE}{1.00}
+
+{\bf Exports:}\\
+\begin{tabular}{lllllll}
+\cross{ITUPLE}{coerce} &
+\cross{ITUPLE}{construct} &
+\cross{ITUPLE}{filterUntil} &
+\cross{ITUPLE}{filterWhile} &
+\cross{ITUPLE}{generate} &
+\cross{ITUPLE}{map} &
+\cross{ITUPLE}{select} 
+\end{tabular}
+
 <<domain ITUPLE InfiniteTuple>>=
 )abbrev domain ITUPLE InfiniteTuple
 ++ Infinite tuples for the interpreter
@@ -41244,6 +42979,99 @@ InfiniteTuple(S:Type): Exports == Implementation where
 \pagepic{ps/v103inneralgebraicnumber.ps}{IAN}{1.00}
 {\bf See}\\
 \pageto{AlgebraicNumber}{AN}
+
+{\bf Exports:}\\
+\begin{tabular}{lllll}
+\cross{IAN}{0} &
+\cross{IAN}{1} &
+\cross{IAN}{associates?} &
+\cross{IAN}{belong?} &
+\cross{IAN}{box} \\
+\cross{IAN}{characteristic} &
+\cross{IAN}{coerce} &
+\cross{IAN}{convert} &
+\cross{IAN}{D} &
+\cross{IAN}{definingPolynomial} \\
+\cross{IAN}{denom} &
+\cross{IAN}{differentiate} &
+\cross{IAN}{distribute} &
+\cross{IAN}{divide} &
+\cross{IAN}{elt} \\
+\cross{IAN}{euclideanSize} &
+\cross{IAN}{eval} &
+\cross{IAN}{even?} &
+\cross{IAN}{expressIdealMember} &
+\cross{IAN}{exquo} \\
+\cross{IAN}{extendedEuclidean} &
+\cross{IAN}{factor} &
+\cross{IAN}{freeOf?} &
+\cross{IAN}{gcd} &
+\cross{IAN}{gcdPolynomial} \\
+\cross{IAN}{hash} &
+\cross{IAN}{height} &
+\cross{IAN}{inv} &
+\cross{IAN}{is?} &
+\cross{IAN}{kernel} \\
+\cross{IAN}{kernels} &
+\cross{IAN}{latex} &
+\cross{IAN}{lcm} &
+\cross{IAN}{mainKernel} &
+\cross{IAN}{map} \\
+\cross{IAN}{max} &
+\cross{IAN}{min} &
+\cross{IAN}{minPoly} &
+\cross{IAN}{multiEuclidean} &
+\cross{IAN}{norm} \\
+\cross{IAN}{nthRoot} &
+\cross{IAN}{numer} &
+\cross{IAN}{odd?} &
+\cross{IAN}{one?} &
+\cross{IAN}{operator} \\
+\cross{IAN}{operators} &
+\cross{IAN}{paren} &
+\cross{IAN}{prime?} &
+\cross{IAN}{principalIdeal} &
+\cross{IAN}{recip} \\
+\cross{IAN}{reduce} &
+\cross{IAN}{reducedSystem} &
+\cross{IAN}{retract} &
+\cross{IAN}{retractIfCan} &
+\cross{IAN}{rootOf} \\
+\cross{IAN}{rootsOf} &
+\cross{IAN}{sample} &
+\cross{IAN}{sizeLess?} &
+\cross{IAN}{sqrt} &
+\cross{IAN}{squareFree} \\
+\cross{IAN}{squareFreePart} &
+\cross{IAN}{subst} &
+\cross{IAN}{subtractIfCan} &
+\cross{IAN}{tower} &
+\cross{IAN}{trueEqual} \\
+\cross{IAN}{unit?} &
+\cross{IAN}{unitCanonical} &
+\cross{IAN}{unitNormal} &
+\cross{IAN}{zero?} &
+\cross{IAN}{zeroOf} \\
+\cross{IAN}{zerosOf} &
+\cross{IAN}{?*?} &
+\cross{IAN}{?**?} &
+\cross{IAN}{?+?} &
+\cross{IAN}{-?} \\
+\cross{IAN}{?-?} &
+\cross{IAN}{?/?} &
+\cross{IAN}{?$<$?} &
+\cross{IAN}{?$<=$?} &
+\cross{IAN}{?=?} \\
+\cross{IAN}{?$>$?} &
+\cross{IAN}{?$>=$?} &
+\cross{IAN}{?\^{}?} &
+\cross{IAN}{?\~{}=?} &
+\cross{IAN}{?*?} \\
+\cross{IAN}{?**?} &
+\cross{IAN}{?quo?} &
+\cross{IAN}{?rem?} &&
+\end{tabular}
+
 <<domain IAN InnerAlgebraicNumber>>=
 )abbrev domain IAN InnerAlgebraicNumber
 ++ Algebraic closure of the rational numbers
@@ -41403,6 +43231,96 @@ InnerAlgebraicNumber(): Exports == Implementation where
 \pageto{FiniteFieldExtensionByPolynomial}{FFP}
 \pageto{FiniteFieldExtension}{FFX}
 \pageto{FiniteField}{FF}
+
+{\bf Exports:}\\
+\begin{tabular}{lll}
+\cross{IFF}{0} &
+\cross{IFF}{1} &
+\cross{IFF}{algebraic?} \\
+\cross{IFF}{associates?} &
+\cross{IFF}{basis} &
+\cross{IFF}{characteristic} \\
+\cross{IFF}{charthRoot} &
+\cross{IFF}{coerce} &
+\cross{IFF}{conditionP} \\
+\cross{IFF}{coordinates} &
+\cross{IFF}{createNormalElement} &
+\cross{IFF}{createPrimitiveElement} \\
+\cross{IFF}{D} &
+\cross{IFF}{definingPolynomial} &
+\cross{IFF}{degree} \\
+\cross{IFF}{dimension} &
+\cross{IFF}{differentiate} &
+\cross{IFF}{discreteLog} \\
+\cross{IFF}{divide} &
+\cross{IFF}{euclideanSize} &
+\cross{IFF}{expressIdealMember} \\
+\cross{IFF}{exquo} &
+\cross{IFF}{extendedEuclidean} &
+\cross{IFF}{extensionDegree} \\
+\cross{IFF}{factor} &
+\cross{IFF}{factorsOfCyclicGroupSize} &
+\cross{IFF}{Frobenius} \\
+\cross{IFF}{gcd} &
+\cross{IFF}{gcdPolynomial} &
+\cross{IFF}{generator} \\
+\cross{IFF}{hash} &
+\cross{IFF}{index} &
+\cross{IFF}{inGroundField?} \\
+\cross{IFF}{init} &
+\cross{IFF}{inv} &
+\cross{IFF}{latex} \\
+\cross{IFF}{lcm} &
+\cross{IFF}{linearAssociatedExp} &
+\cross{IFF}{linearAssociatedLog} \\
+\cross{IFF}{linearAssociatedOrder} &
+\cross{IFF}{lookup} &
+\cross{IFF}{minimalPolynomial} \\
+\cross{IFF}{multiEuclidean} &
+\cross{IFF}{nextItem} &
+\cross{IFF}{norm} \\
+\cross{IFF}{normal?} &
+\cross{IFF}{normalElement} &
+\cross{IFF}{one?} \\
+\cross{IFF}{order} &
+\cross{IFF}{prime?} &
+\cross{IFF}{primeFrobenius} \\
+\cross{IFF}{primitive?} &
+\cross{IFF}{primitiveElement} &
+\cross{IFF}{principalIdeal} \\
+\cross{IFF}{random} &
+\cross{IFF}{recip} &
+\cross{IFF}{representationType} \\
+\cross{IFF}{represents} &
+\cross{IFF}{retract} &
+\cross{IFF}{retractIfCan} \\
+\cross{IFF}{sample} &
+\cross{IFF}{size} &
+\cross{IFF}{sizeLess?} \\
+\cross{IFF}{squareFree} &
+\cross{IFF}{squareFreePart} &
+\cross{IFF}{subtractIfCan} \\
+\cross{IFF}{tableForDiscreteLogarithm} &
+\cross{IFF}{trace} &
+\cross{IFF}{transcendenceDegree} \\
+\cross{IFF}{transcendent?} &
+\cross{IFF}{unit?} &
+\cross{IFF}{unitCanonical} \\
+\cross{IFF}{unitNormal} &
+\cross{IFF}{zero?} &
+\cross{IFF}{?*?} \\
+\cross{IFF}{?**?} &
+\cross{IFF}{?+?} &
+\cross{IFF}{?-?} \\
+\cross{IFF}{-?} &
+\cross{IFF}{?/?} &
+\cross{IFF}{?=?} \\
+\cross{IFF}{?\^{}?} &
+\cross{IFF}{?\~{}=?} &
+\cross{IFF}{?quo?} \\
+\cross{IFF}{?rem?} &&
+\end{tabular}
+
 <<domain IFF InnerFiniteField>>=
 )abbrev domain IFF InnerFiniteField
 ++ Author: ???
@@ -41444,6 +43362,32 @@ InnerFiniteField(p:PositiveInteger, n:PositiveInteger) ==
 \pageto{FreeGroup}{FGROUP}
 \pageto{FreeAbelianMonoid}{FAMONOID}
 \pageto{FreeAbelianGroup}{FAGROUP}
+
+{\bf Exports:}\\
+\begin{tabular}{lllll}
+\cross{IFAMON}{0} &
+\cross{IFAMON}{coefficient} &
+\cross{IFAMON}{coerce} &
+\cross{IFAMON}{hash} &
+\cross{IFAMON}{highCommonTerms} \\
+\cross{IFAMON}{latex} &
+\cross{IFAMON}{mapCoef} &
+\cross{IFAMON}{mapGen} &
+\cross{IFAMON}{nthCoef} &
+\cross{IFAMON}{nthFactor} \\
+\cross{IFAMON}{retract} &
+\cross{IFAMON}{retractIfCan} &
+\cross{IFAMON}{sample} &
+\cross{IFAMON}{size} &
+\cross{IFAMON}{subtractIfCan} \\
+\cross{IFAMON}{terms} &
+\cross{IFAMON}{zero?} &
+\cross{IFAMON}{?\~{}=?} &
+\cross{IFAMON}{?*?} &
+\cross{IFAMON}{?+?} \\
+\cross{IFAMON}{?=?} &&&&
+\end{tabular}
+
 <<domain IFAMON InnerFreeAbelianMonoid>>=
 )abbrev domain IFAMON InnerFreeAbelianMonoid
 ++ Internal free abelian monoid on any set of generators
@@ -41496,6 +43440,50 @@ This is an internal type which provides an implementation of
 {\bf See}\\
 \pageto{IndexedTwoDimensionalArray}{IARRAY2}
 \pageto{TwoDimensionalArray}{ARRAY2}
+
+{\bf Exports:}\\
+\begin{tabular}{lllll}
+\cross{IIARRAY2}{any?} &
+\cross{IIARRAY2}{coerce} &
+\cross{IIARRAY2}{column} &
+\cross{IIARRAY2}{copy} &
+\cross{IIARRAY2}{count} \\
+\cross{IIARRAY2}{elt} &
+\cross{IIARRAY2}{empty} &
+\cross{IIARRAY2}{empty?} &
+\cross{IIARRAY2}{eq?} &
+\cross{IIARRAY2}{eval} \\
+\cross{IIARRAY2}{every?} &
+\cross{IIARRAY2}{fill!} &
+\cross{IIARRAY2}{hash} &
+\cross{IIARRAY2}{latex} &
+\cross{IIARRAY2}{less?} \\
+\cross{IIARRAY2}{map} &
+\cross{IIARRAY2}{map!} &
+\cross{IIARRAY2}{maxColIndex} &
+\cross{IIARRAY2}{maxRowIndex} &
+\cross{IIARRAY2}{member?} \\
+\cross{IIARRAY2}{members} &
+\cross{IIARRAY2}{minColIndex} &
+\cross{IIARRAY2}{minRowIndex} &
+\cross{IIARRAY2}{more?} &
+\cross{IIARRAY2}{ncols} \\
+\cross{IIARRAY2}{new} &
+\cross{IIARRAY2}{nrows} &
+\cross{IIARRAY2}{parts} &
+\cross{IIARRAY2}{qelt} &
+\cross{IIARRAY2}{qsetelt!} \\
+\cross{IIARRAY2}{row} &
+\cross{IIARRAY2}{sample} &
+\cross{IIARRAY2}{setColumn!} &
+\cross{IIARRAY2}{setelt} &
+\cross{IIARRAY2}{setRow!} \\
+\cross{IIARRAY2}{size?} &
+\cross{IIARRAY2}{\#{}?} &
+\cross{IIARRAY2}{?=?} &
+\cross{IIARRAY2}{?\~{}=?} &
+\end{tabular}
+
 <<domain IIARRAY2 InnerIndexedTwoDimensionalArray>>=
 )abbrev domain IIARRAY2 InnerIndexedTwoDimensionalArray
 InnerIndexedTwoDimensionalArray(R,mnRow,mnCol,Row,Col):_
@@ -41596,6 +43584,57 @@ InnerIndexedTwoDimensionalArray(R,mnRow,mnCol,Row,Col):_
 \pageto{PAdicRationalConstructor}{PADICRC}
 \pageto{PAdicRational}{PADICRAT}
 \pageto{BalancedPAdicRational}{BPADICRT}
+
+{\bf Exports:}\\
+\begin{tabular}{llll}
+\cross{IPADIC}{0} &
+\cross{IPADIC}{1} &
+\cross{IPADIC}{approximate} &
+\cross{IPADIC}{associates?} \\
+\cross{IPADIC}{characteristic} &
+\cross{IPADIC}{coerce} &
+\cross{IPADIC}{complete} &
+\cross{IPADIC}{digits} \\
+\cross{IPADIC}{divide} &
+\cross{IPADIC}{euclideanSize} &
+\cross{IPADIC}{expressIdealMember} &
+\cross{IPADIC}{exquo} \\
+\cross{IPADIC}{extend} &
+\cross{IPADIC}{extendedEuclidean} &
+\cross{IPADIC}{gcd} &
+\cross{IPADIC}{gcdPolynomial} \\
+\cross{IPADIC}{hash} &
+\cross{IPADIC}{latex} &
+\cross{IPADIC}{lcm} &
+\cross{IPADIC}{multiEuclidean} \\
+\cross{IPADIC}{moduloP} &
+\cross{IPADIC}{modulus} &
+\cross{IPADIC}{one?} &
+\cross{IPADIC}{order} \\
+\cross{IPADIC}{principalIdeal} &
+\cross{IPADIC}{quotientByP} &
+\cross{IPADIC}{recip} &
+\cross{IPADIC}{root} \\
+\cross{IPADIC}{sample} &
+\cross{IPADIC}{sizeLess?} &
+\cross{IPADIC}{sqrt} &
+\cross{IPADIC}{subtractIfCan} \\
+\cross{IPADIC}{unit?} &
+\cross{IPADIC}{unitCanonical} &
+\cross{IPADIC}{unitNormal} &
+\cross{IPADIC}{zero?} \\
+\cross{IPADIC}{?\~{}=?} &
+\cross{IPADIC}{?*?} &
+\cross{IPADIC}{?**?} &
+\cross{IPADIC}{?\^{}?} \\
+\cross{IPADIC}{?+?} &
+\cross{IPADIC}{?-?} &
+\cross{IPADIC}{-?} &
+\cross{IPADIC}{?=?} \\
+\cross{IPADIC}{?quo?} &
+\cross{IPADIC}{?rem?} &&
+\end{tabular}
+
 <<domain IPADIC InnerPAdicInteger>>=
 )abbrev domain IPADIC InnerPAdicInteger
 ++ Author: Clifton J. Williamson
@@ -41860,6 +43899,97 @@ InnerPAdicInteger(p,unBalanced?): Exports == Implementation where
 \pagepic{ps/v103innerprimefield.ps}{IPF}{1.00}
 {\bf See}\\
 \pageto{PrimeField}{PF}
+
+{\bf Exports:}\\
+\begin{tabular}{lll}
+\cross{IPF}{0} &
+\cross{IPF}{1} &
+\cross{IPF}{algebraic?} \\
+\cross{IPF}{associates?} &
+\cross{IPF}{basis} &
+\cross{IPF}{characteristic} \\
+\cross{IPF}{charthRoot} &
+\cross{IPF}{coerce} &
+\cross{IPF}{conditionP} \\
+\cross{IPF}{convert} &
+\cross{IPF}{coordinates} &
+\cross{IPF}{createPrimitiveElement} \\
+\cross{IPF}{createNormalElement} &
+\cross{IPF}{D} &
+\cross{IPF}{definingPolynomial} \\
+\cross{IPF}{degree} &
+\cross{IPF}{differentiate} &
+\cross{IPF}{dimension} \\
+\cross{IPF}{discreteLog} &
+\cross{IPF}{divide} &
+\cross{IPF}{euclideanSize} \\
+\cross{IPF}{expressIdealMember} &
+\cross{IPF}{exquo} &
+\cross{IPF}{extendedEuclidean} \\
+\cross{IPF}{extensionDegree} &
+\cross{IPF}{factor} &
+\cross{IPF}{factorsOfCyclicGroupSize} \\
+\cross{IPF}{Frobenius} &
+\cross{IPF}{gcd} &
+\cross{IPF}{gcdPolynomial} \\
+\cross{IPF}{generator} &
+\cross{IPF}{hash} &
+\cross{IPF}{inGroundField?} \\
+\cross{IPF}{index} &
+\cross{IPF}{init} &
+\cross{IPF}{inv} \\
+\cross{IPF}{latex} &
+\cross{IPF}{lcm} &
+\cross{IPF}{linearAssociatedExp} \\
+\cross{IPF}{linearAssociatedLog} &
+\cross{IPF}{linearAssociatedOrder} &
+\cross{IPF}{lookup} \\
+\cross{IPF}{minimalPolynomial} &
+\cross{IPF}{multiEuclidean} &
+\cross{IPF}{nextItem} \\
+\cross{IPF}{norm} &
+\cross{IPF}{normal?} &
+\cross{IPF}{normalElement} \\
+\cross{IPF}{one?} &
+\cross{IPF}{order} &
+\cross{IPF}{prime?} \\
+\cross{IPF}{primeFrobenius} &
+\cross{IPF}{primitive?} &
+\cross{IPF}{primitiveElement} \\
+\cross{IPF}{principalIdeal} &
+\cross{IPF}{random} &
+\cross{IPF}{recip} \\
+\cross{IPF}{representationType} &
+\cross{IPF}{represents} &
+\cross{IPF}{retract} \\
+\cross{IPF}{retractIfCan} &
+\cross{IPF}{sample} &
+\cross{IPF}{size} \\
+\cross{IPF}{sizeLess?} &
+\cross{IPF}{squareFree} &
+\cross{IPF}{squareFreePart} \\
+\cross{IPF}{subtractIfCan} &
+\cross{IPF}{tableForDiscreteLogarithm} &
+\cross{IPF}{trace} \\
+\cross{IPF}{transcendenceDegree} &
+\cross{IPF}{transcendent?} &
+\cross{IPF}{unit?} \\
+\cross{IPF}{unitCanonical} &
+\cross{IPF}{unitNormal} &
+\cross{IPF}{zero?} \\
+\cross{IPF}{?*?} &
+\cross{IPF}{?**?} &
+\cross{IPF}{?+?} \\
+\cross{IPF}{?-?} &
+\cross{IPF}{-?} &
+\cross{IPF}{?/?} \\
+\cross{IPF}{?=?} &
+\cross{IPF}{?\^{}?} &
+\cross{IPF}{?\~{}=?} \\
+\cross{IPF}{?quo?} &
+\cross{IPF}{?rem?} &
+\end{tabular}
+
 <<domain IPF InnerPrimeField>>=
 )abbrev domain IPF InnerPrimeField
 -- Argument MUST be a prime.
@@ -42052,6 +44182,100 @@ InnerPrimeField(p:PositiveInteger): Exports == Implementation where
 \section{domain ISUPS InnerSparseUnivariatePowerSeries}
 \pagehead{InnerSparseUnivariatePowerSeries}{ISUPS}
 \pagepic{ps/v103innersparseunivariatepowerseries.ps}{ISUPS}{1.00}
+
+{\bf Exports:}\\
+\begin{tabular}{llll}
+\cross{ISUPS}{0} &
+\cross{ISUPS}{1} &
+\cross{ISUPS}{approximate} &
+\cross{ISUPS}{associates?} \\
+\cross{ISUPS}{cAcos} &
+\cross{ISUPS}{cAcosh} &
+\cross{ISUPS}{cAcot} &
+\cross{ISUPS}{cAcoth} \\
+\cross{ISUPS}{cAcsc} &
+\cross{ISUPS}{cAcsch} &
+\cross{ISUPS}{cAsec} &
+\cross{ISUPS}{cAsech} \\
+\cross{ISUPS}{cAsin} &
+\cross{ISUPS}{cAsinh} &
+\cross{ISUPS}{cAtan} &
+\cross{ISUPS}{cAtanh} \\
+\cross{ISUPS}{cCos} &
+\cross{ISUPS}{cCosh} &
+\cross{ISUPS}{cCot} &
+\cross{ISUPS}{cCoth} \\
+\cross{ISUPS}{cCsc} &
+\cross{ISUPS}{cCsch} &
+\cross{ISUPS}{center} &
+\cross{ISUPS}{cExp} \\
+\cross{ISUPS}{cLog} &
+\cross{ISUPS}{coefficient} &
+\cross{ISUPS}{cPower} &
+\cross{ISUPS}{cRationalPower} \\
+\cross{ISUPS}{cSec} &
+\cross{ISUPS}{cSech} &
+\cross{ISUPS}{cSin} &
+\cross{ISUPS}{cSinh} \\
+\cross{ISUPS}{cTan} &
+\cross{ISUPS}{cTanh} &
+\cross{ISUPS}{characteristic} &
+\cross{ISUPS}{charthRoot} \\
+\cross{ISUPS}{coerce} &
+\cross{ISUPS}{complete} &
+\cross{ISUPS}{D} &
+\cross{ISUPS}{differentiate} \\
+\cross{ISUPS}{degree} &
+\cross{ISUPS}{eval} &
+\cross{ISUPS}{exquo} &
+\cross{ISUPS}{extend} \\
+\cross{ISUPS}{getRef} &
+\cross{ISUPS}{getStream} &
+\cross{ISUPS}{hash} &
+\cross{ISUPS}{iCompose} \\
+\cross{ISUPS}{iExquo} &
+\cross{ISUPS}{integrate} &
+\cross{ISUPS}{latex} &
+\cross{ISUPS}{leadingCoefficient} \\
+\cross{ISUPS}{leadingMonomial} &
+\cross{ISUPS}{makeSeries} &
+\cross{ISUPS}{map} &
+\cross{ISUPS}{monomial} \\
+\cross{ISUPS}{monomial?} &
+\cross{ISUPS}{multiplyCoefficients} &
+\cross{ISUPS}{multiplyExponents} &
+\cross{ISUPS}{one?} \\
+\cross{ISUPS}{order} &
+\cross{ISUPS}{pole?} &
+\cross{ISUPS}{recip} &
+\cross{ISUPS}{reductum} \\
+\cross{ISUPS}{sample} &
+\cross{ISUPS}{series} &
+\cross{ISUPS}{seriesToOutputForm} &
+\cross{ISUPS}{subtractIfCan} \\
+\cross{ISUPS}{taylorQuoByVar} &
+\cross{ISUPS}{terms} &
+\cross{ISUPS}{truncate} &
+\cross{ISUPS}{unit?} \\
+\cross{ISUPS}{unitCanonical} &
+\cross{ISUPS}{unitNormal} &
+\cross{ISUPS}{variable} &
+\cross{ISUPS}{variables} \\
+\cross{ISUPS}{zero?} &
+\cross{ISUPS}{?*?} &
+\cross{ISUPS}{?**?} &
+\cross{ISUPS}{?+?} \\
+\cross{ISUPS}{?-?} &
+\cross{ISUPS}{-?} &
+\cross{ISUPS}{?=?} &
+\cross{ISUPS}{?\^{}?} \\
+\cross{ISUPS}{?.?} &
+\cross{ISUPS}{?\~{}=?} &
+\cross{ISUPS}{?/?} &
+\cross{ISUPS}{?\^{}?} \\
+\cross{ISUPS}{?.?} &&&
+\end{tabular}
+
 <<domain ISUPS InnerSparseUnivariatePowerSeries>>=
 )abbrev domain ISUPS InnerSparseUnivariatePowerSeries
 ++ Author: Clifton J. Williamson
@@ -43128,6 +45352,67 @@ InnerSparseUnivariatePowerSeries(Coef): Exports == Implementation where
 \pageto{StringTable}{STRTBL}
 \pageto{GeneralSparseTable}{GSTBL}
 \pageto{SparseTable}{STBL}
+
+{\bf Exports:}\\
+\begin{tabular}{lllll}
+\cross{INTABL}{any?} &
+\cross{INTABL}{any?} &
+\cross{INTABL}{bag} &
+\cross{INTABL}{coerce} &
+\cross{INTABL}{construct} \\
+\cross{INTABL}{convert} &
+\cross{INTABL}{copy} &
+\cross{INTABL}{count} &
+\cross{INTABL}{dictionary} &
+\cross{INTABL}{entry?} \\
+\cross{INTABL}{elt} &
+\cross{INTABL}{empty} &
+\cross{INTABL}{empty?} &
+\cross{INTABL}{entries} &
+\cross{INTABL}{eq?} \\
+\cross{INTABL}{eval} &
+\cross{INTABL}{every?} &
+\cross{INTABL}{extract!} &
+\cross{INTABL}{fill!} &
+\cross{INTABL}{find} \\
+\cross{INTABL}{first} &
+\cross{INTABL}{hash} &
+\cross{INTABL}{index?} &
+\cross{INTABL}{indices} &
+\cross{INTABL}{insert!} \\
+\cross{INTABL}{inspect} &
+\cross{INTABL}{key?} &
+\cross{INTABL}{keys} &
+\cross{INTABL}{latex} &
+\cross{INTABL}{less?} \\
+\cross{INTABL}{map} &
+\cross{INTABL}{map!} &
+\cross{INTABL}{maxIndex} &
+\cross{INTABL}{member?} &
+\cross{INTABL}{members} \\
+\cross{INTABL}{minIndex} &
+\cross{INTABL}{more?} &
+\cross{INTABL}{parts} &
+\cross{INTABL}{sample} &
+\cross{INTABL}{qelt} \\
+\cross{INTABL}{qsetelt!} &
+\cross{INTABL}{reduce} &
+\cross{INTABL}{remove} &
+\cross{INTABL}{remove!} &
+\cross{INTABL}{removeDuplicates} \\
+\cross{INTABL}{search} &
+\cross{INTABL}{select} &
+\cross{INTABL}{select!} &
+\cross{INTABL}{setelt} &
+\cross{INTABL}{size?} \\
+\cross{INTABL}{swap!} &
+\cross{INTABL}{table} &
+\cross{INTABL}{?.?} &
+\cross{INTABL}{\#{}?} &
+\cross{INTABL}{?=?} \\
+\cross{INTABL}{?\~{}=?} &&&&
+\end{tabular}
+
 <<domain INTABL InnerTable>>=
 )abbrev domain INTABL InnerTable
 ++ Author: Barry Trager
@@ -43164,6 +45449,40 @@ InnerTable(Key: SetCategory, Entry: SetCategory, addDom):Exports == Implementati
 \pagepic{ps/v103innertaylorseries.ps}{ITAYLOR}{1.00}
 {\bf See}\\
 \pageto{UnivariateTaylorSeries}{UTS}
+
+
+{\bf Exports:}\\
+\begin{tabular}{lllll}
+\cross{ITAYLOR}{0} &
+\cross{ITAYLOR}{1} &
+\cross{ITAYLOR}{associates?} &
+\cross{ITAYLOR}{characteristic} &
+\cross{ITAYLOR}{coefficients} \\
+\cross{ITAYLOR}{coerce} &
+\cross{ITAYLOR}{exquo} &
+\cross{ITAYLOR}{hash} &
+\cross{ITAYLOR}{latex} &
+\cross{ITAYLOR}{one?} \\
+\cross{ITAYLOR}{order} &
+\cross{ITAYLOR}{pole?} &
+\cross{ITAYLOR}{recip} &
+\cross{ITAYLOR}{sample} &
+\cross{ITAYLOR}{series} \\
+\cross{ITAYLOR}{subtractIfCan} &
+\cross{ITAYLOR}{unit?} &
+\cross{ITAYLOR}{unitCanonical} &
+\cross{ITAYLOR}{unitNormal} &
+\cross{ITAYLOR}{zero?} \\
+\cross{ITAYLOR}{?\~{}=?} &
+\cross{ITAYLOR}{?*?} &
+\cross{ITAYLOR}{?**?} &
+\cross{ITAYLOR}{?\^{}?} &
+\cross{ITAYLOR}{?+?} \\
+\cross{ITAYLOR}{?-?} &
+\cross{ITAYLOR}{-?} &
+\cross{ITAYLOR}{?=?} &&
+\end{tabular}
+
 <<domain ITAYLOR InnerTaylorSeries>>=
 )abbrev domain ITAYLOR InnerTaylorSeries
 ++ Author: Clifton J. Williamson
@@ -43310,6 +45629,51 @@ InnerTaylorSeries(Coef): Exports == Implementation where
 \section{domain INFORM InputForm}
 \pagehead{InputForm}{INFORM}
 \pagepic{ps/v103inputform.ps}{INFORM}{1.00}
+
+{\bf Exports:}\\
+\begin{tabular}{lllll}
+\cross{INFORM}{0} &
+\cross{INFORM}{1} &
+\cross{INFORM}{atom?} &
+\cross{INFORM}{binary} &
+\cross{INFORM}{car} \\
+\cross{INFORM}{cdr} &
+\cross{INFORM}{coerce} &
+\cross{INFORM}{compile} &
+\cross{INFORM}{convert} &
+\cross{INFORM}{declare} \\
+\cross{INFORM}{destruct} &
+\cross{INFORM}{eq} &
+\cross{INFORM}{expr} &
+\cross{INFORM}{flatten} &
+\cross{INFORM}{float} \\
+\cross{INFORM}{float?} &
+\cross{INFORM}{function} &
+\cross{INFORM}{hash} &
+\cross{INFORM}{integer} &
+\cross{INFORM}{integer?} \\
+\cross{INFORM}{interpret} &
+\cross{INFORM}{lambda} &
+\cross{INFORM}{latex} &
+\cross{INFORM}{list?} &
+\cross{INFORM}{null?} \\
+\cross{INFORM}{pair?} &
+\cross{INFORM}{parse} &
+\cross{INFORM}{string} &
+\cross{INFORM}{string?} &
+\cross{INFORM}{symbol} \\
+\cross{INFORM}{symbol?} &
+\cross{INFORM}{unparse} &
+\cross{INFORM}{\#{}?} &
+\cross{INFORM}{?\~{}=?} &
+\cross{INFORM}{?**?} \\
+\cross{INFORM}{?*?} &
+\cross{INFORM}{?+?} &
+\cross{INFORM}{?/?} &
+\cross{INFORM}{?=?} &
+\cross{INFORM}{?.?} 
+\end{tabular}
+
 <<domain INFORM InputForm>>=
 )abbrev domain INFORM InputForm
 ++ Parser forms
@@ -44175,6 +46539,96 @@ o )show Integer
 \pageto{NonNegativeInteger}{NNI}
 \pageto{PositiveInteger}{PI}
 \pageto{RomanNumeral}{ROMAN}
+
+{\bf Exports:}\\
+\begin{tabular}{llll}
+\cross{INT}{0} &
+\cross{INT}{1} &
+\cross{INT}{abs} &
+\cross{INT}{addmod} \\
+\cross{INT}{associates?} &
+\cross{INT}{base} &
+\cross{INT}{binomial} &
+\cross{INT}{bit?} \\
+\cross{INT}{characteristic} &
+\cross{INT}{coerce} &
+\cross{INT}{convert} &
+\cross{INT}{copy} \\
+\cross{INT}{D} &
+\cross{INT}{dec} &
+\cross{INT}{differentiate} &
+\cross{INT}{divide} \\
+\cross{INT}{euclideanSize} &
+\cross{INT}{even?} &
+\cross{INT}{expressIdealMember} &
+\cross{INT}{exquo} \\
+\cross{INT}{extendedEuclidean} &
+\cross{INT}{extendedEuclidean} &
+\cross{INT}{factor} &
+\cross{INT}{factorial} \\
+\cross{INT}{gcd} &
+\cross{INT}{gcdPolynomial} &
+\cross{INT}{hash} &
+\cross{INT}{inc} \\
+\cross{INT}{init} &
+\cross{INT}{invmod} &
+\cross{INT}{latex} &
+\cross{INT}{lcm} \\
+\cross{INT}{length} &
+\cross{INT}{mask} &
+\cross{INT}{max} &
+\cross{INT}{min} \\
+\cross{INT}{mulmod} &
+\cross{INT}{multiEuclidean} &
+\cross{INT}{negative?} &
+\cross{INT}{nextItem} \\
+\cross{INT}{odd?} &
+\cross{INT}{OMwrite} &
+\cross{INT}{one?} &
+\cross{INT}{patternMatch} \\
+\cross{INT}{permutation} &
+\cross{INT}{positive?} &
+\cross{INT}{positiveRemainder} &
+\cross{INT}{powmod} \\
+\cross{INT}{prime?} &
+\cross{INT}{principalIdeal} &
+\cross{INT}{random} &
+\cross{INT}{rational} \\
+\cross{INT}{rational?} &
+\cross{INT}{rationalIfCan} &
+\cross{INT}{recip} &
+\cross{INT}{reducedSystem} \\
+\cross{INT}{retract} &
+\cross{INT}{retractIfCan} &
+\cross{INT}{sample} &
+\cross{INT}{shift} \\
+\cross{INT}{sign} &
+\cross{INT}{sizeLess?} &
+\cross{INT}{squareFree} &
+\cross{INT}{squareFreePart} \\
+\cross{INT}{submod} &
+\cross{INT}{subtractIfCan} &
+\cross{INT}{symmetricRemainder} &
+\cross{INT}{unit?} \\
+\cross{INT}{unitCanonical} &
+\cross{INT}{unitNormal} &
+\cross{INT}{zero?} &
+\cross{INT}{?*?} \\
+\cross{INT}{?**?} &
+\cross{INT}{?+?} &
+\cross{INT}{?-?} &
+\cross{INT}{-?} \\
+\cross{INT}{?$<$?} &
+\cross{INT}{?$<=$?} &
+\cross{INT}{?=?} &
+\cross{INT}{?$>$?} \\
+\cross{INT}{?$>=$?} &
+\cross{INT}{?\^{}?} &
+\cross{INT}{?\~{}=?} &
+\cross{INT}{?quo?} \\
+\cross{INT}{?rem?} &&&
+\end{tabular}
+
 <<domain INT Integer>>=
 )abbrev domain INT Integer
 ++ Author:
@@ -44367,6 +46821,37 @@ Integer: Join(IntegerNumberSystem, ConvertibleTo String, OpenMath) with
 \section{domain ZMOD IntegerMod}
 \pagehead{IntegerMod}{ZMOD}
 \pagepic{ps/v103integermod.ps}{ZMOD}{1.00}
+
+{\bf Exports:}\\
+\begin{tabular}{lllll}
+\cross{ZMOD}{0} &
+\cross{ZMOD}{1} &
+\cross{ZMOD}{characteristic} &
+\cross{ZMOD}{coerce} &
+\cross{ZMOD}{convert} \\
+\cross{ZMOD}{hash} &
+\cross{ZMOD}{index} &
+\cross{ZMOD}{init} &
+\cross{ZMOD}{latex} &
+\cross{ZMOD}{lookup} \\
+\cross{ZMOD}{nextItem} &
+\cross{ZMOD}{one?} &
+\cross{ZMOD}{random} &
+\cross{ZMOD}{recip} &
+\cross{ZMOD}{sample} \\
+\cross{ZMOD}{size} &
+\cross{ZMOD}{subtractIfCan} &
+\cross{ZMOD}{zero?} &
+\cross{ZMOD}{?\~{}=?} &
+\cross{ZMOD}{?*?} \\
+\cross{ZMOD}{?**?} &
+\cross{ZMOD}{?\^{}?} &
+\cross{ZMOD}{?+?} &
+\cross{ZMOD}{?-?} &
+\cross{ZMOD}{-?} \\
+\cross{ZMOD}{?=?} &&&&
+\end{tabular}
+
 <<domain ZMOD IntegerMod>>=
 )abbrev domain ZMOD IntegerMod
 ++ Author:
@@ -44465,6 +46950,19 @@ IntegerMod(p:PositiveInteger):
 \section{domain INTFTBL IntegrationFunctionsTable}
 \pagehead{IntegrationFunctionsTable}{INTFTBL}
 \pagepic{ps/v103integrationfunctionstable.ps}{INTFTBL}{1.00}
+
+{\bf Exports:}\\
+\begin{tabular}{llllllll}
+\cross{INTFTBL}{clearTheFTable} &
+\cross{INTFTBL}{entries} &
+\cross{INTFTBL}{entry} &
+\cross{INTFTBL}{fTable} &
+\cross{INTFTBL}{insert!} &
+\cross{INTFTBL}{keys} &
+\cross{INTFTBL}{showAttributes} &
+\cross{INTFTBL}{showTheFTable} 
+\end{tabular}
+
 <<domain INTFTBL IntegrationFunctionsTable>>=
 )abbrev domain INTFTBL IntegrationFunctionsTable
 ++ Author: Brian Dupee
@@ -44573,6 +47071,33 @@ IntegrationFunctionsTable(): E == I where
 \section{domain IR IntegrationResult}
 \pagehead{IntegrationResult}{IR}
 \pagepic{ps/v103integrationresult.ps}{IR}{1.00}
+
+{\bf Exports:}\\
+\begin{tabular}{lllll}
+\cross{IR}{0} &
+\cross{IR}{coerce} &
+\cross{IR}{differentiate} &
+\cross{IR}{elem?} &
+\cross{IR}{hash} \\
+\cross{IR}{integral} &
+\cross{IR}{latex} &
+\cross{IR}{logpart} &
+\cross{IR}{mkAnswer} &
+\cross{IR}{notelem} \\
+\cross{IR}{ratpart} &
+\cross{IR}{retract} &
+\cross{IR}{retractIfCan} &
+\cross{IR}{subtractIfCan} &
+\cross{IR}{sample} \\
+\cross{IR}{zero?} &
+\cross{IR}{?\~{}=?} &
+\cross{IR}{?*?} &
+\cross{IR}{?+?} &
+\cross{IR}{?-?} \\
+\cross{IR}{-?} &
+\cross{IR}{?=?} &&&
+\end{tabular}
+
 <<domain IR IntegrationResult>>=
 )abbrev domain IR IntegrationResult
 ++ The result of a transcendental integration.
@@ -44755,6 +47280,83 @@ IntegrationResult(F:Field): Exports == Implementation where
 \section{domain INTRVL Interval}
 \pagehead{Interval}{INTRVL}
 \pagepic{ps/v103interval.ps}{INTRVL}{1.00}
+
+{\bf Exports:}\\
+\begin{tabular}{lllll}
+\cross{INTRVL}{0} &
+\cross{INTRVL}{1} &
+\cross{INTRVL}{acos} &
+\cross{INTRVL}{acosh} &
+\cross{INTRVL}{acot} \\
+\cross{INTRVL}{acoth} &
+\cross{INTRVL}{acsc} &
+\cross{INTRVL}{acsch} &
+\cross{INTRVL}{asec} &
+\cross{INTRVL}{asech} \\
+\cross{INTRVL}{asin} &
+\cross{INTRVL}{asinh} &
+\cross{INTRVL}{associates?} &
+\cross{INTRVL}{atan} &
+\cross{INTRVL}{atanh} \\
+\cross{INTRVL}{characteristic} &
+\cross{INTRVL}{coerce} &
+\cross{INTRVL}{contains?} &
+\cross{INTRVL}{cos} &
+\cross{INTRVL}{cosh} \\
+\cross{INTRVL}{cot} &
+\cross{INTRVL}{coth} &
+\cross{INTRVL}{csc} &
+\cross{INTRVL}{csch} &
+\cross{INTRVL}{exp} \\
+\cross{INTRVL}{exquo} &
+\cross{INTRVL}{gcd} &
+\cross{INTRVL}{gcdPolynomial} &
+\cross{INTRVL}{hash} &
+\cross{INTRVL}{inf} \\
+\cross{INTRVL}{interval} &
+\cross{INTRVL}{latex} &
+\cross{INTRVL}{lcm} &
+\cross{INTRVL}{log} &
+\cross{INTRVL}{max} \\
+\cross{INTRVL}{min} &
+\cross{INTRVL}{negative?} &
+\cross{INTRVL}{nthRoot} &
+\cross{INTRVL}{one?} &
+\cross{INTRVL}{pi} \\
+\cross{INTRVL}{positive?} &
+\cross{INTRVL}{qinterval} &
+\cross{INTRVL}{recip} &
+\cross{INTRVL}{retract} &
+\cross{INTRVL}{retractIfCan} \\
+\cross{INTRVL}{sample} &
+\cross{INTRVL}{sec} &
+\cross{INTRVL}{sech} &
+\cross{INTRVL}{sin} &
+\cross{INTRVL}{sinh} \\
+\cross{INTRVL}{sqrt} &
+\cross{INTRVL}{subtractIfCan} &
+\cross{INTRVL}{sup} &
+\cross{INTRVL}{tan} &
+\cross{INTRVL}{tanh} \\
+\cross{INTRVL}{unit?} &
+\cross{INTRVL}{unitCanonical} &
+\cross{INTRVL}{unitNormal} &
+\cross{INTRVL}{width} &
+\cross{INTRVL}{zero?} \\
+\cross{INTRVL}{?*?} &
+\cross{INTRVL}{?**?} &
+\cross{INTRVL}{?+?} &
+\cross{INTRVL}{?-?} &
+\cross{INTRVL}{-?} \\
+\cross{INTRVL}{?$<$?} &
+\cross{INTRVL}{?$<=$?} &
+\cross{INTRVL}{?=?} &
+\cross{INTRVL}{?$>$?} &
+\cross{INTRVL}{?$>=$?} \\
+\cross{INTRVL}{?\^{}?} &
+\cross{INTRVL}{?\~{}=?} &&&
+\end{tabular}
+
 <<domain INTRVL Interval>>=
 )abbrev domain INTRVL Interval
 +++ Author: Mike Dewar
diff --git a/changelog b/changelog
index 77d2ba3..cee02a2 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20090116 tpd src/axiom-website/patches.html 20090116.01.tpd.patch
+20090116 tpd books/bookvol10.3 add exports
 20090115 tpd src/axiom-website/patches.html 20090115.01.tpd.patch
 20090115 tpd books/bookvol10.3 add exports
 20090114 tpd src/axiom-website/patches.html 20090114.01.tpd.patch
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index bb45eb9..7a50cf1 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -881,6 +881,8 @@ bookvol10.3 begin adding exports<br/>
 bookvol10.3 add exports<br/>
 <a href="patches/20090115.01.tpd.patch">20090115.01.tpd.patch</a>
 bookvol10.3 add exports<br/>
+<a href="patches/20090116.01.tpd.patch">20090116.01.tpd.patch</a>
+bookvol10.3 add exports<br/>
 
  </body>
 </html>
